<?php
/**
 * Deprecated filter hooks
 *
 * @package MultiVendorX\Abstracts
 * @since   4.0.0
 * @version 4.0.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * Handles deprecation notices and triggering of legacy filter hooks
 */
class MVX_Deprecated_Filter_Hooks extends WC_Deprecated_Hooks {

	/**
	 * Array of deprecated hooks we need to handle.
	 * Format of 'new' => 'old'.
	 *
	 * @var array
	 */
	protected $deprecated_hooks = array(
		'mvx_prevent_automatic_wizard_redirect' => 'wcmp_prevent_automatic_wizard_redirect',
		'mvx_rest_before_prepare_product_object' => 'before_wcmp_rest_prepare_product_object_data',
		'mvx_vendor_review_rating_args_to_fetch' => 'wcmp_vendor_review_rating_args_to_fetch',
		'mvx_rest_prepare_vendor_review' => 'wcmp_rest_prepare_vendor_review',
		'mvx_rest_prepare_vendor_object_args' => 'wcmp_rest_prepare_vendor_object_args',
		'mvx_rest_suppress_image_upload_error' => 'wcmp_rest_suppress_image_upload_error',
		'mvx_rest_create_file_in_uploads' => 'wcmp_rest_create_file_in_uploads',
		'mvx_regenerate_order_commissions_statuses' => 'wcmp_regenerate_order_commissions_statuses',
		'mvx_regenerate_order_commissions_by_new_commission_rate' => 'wcmp_regenerate_order_commissions_by_new_commission_rate',
		'mvx_before_crop_image_details' => 'before_wcmp_crop_image_cropDetails_data',
		'mvx_before_crop_image_options' => 'before_wcmp_crop_image_cropOptions_data',
		'mvx_create_file_in_uploads' => 'wcmp_create_file_in_uploads',
		'mvx_header_image_attachment_metadata' => 'wcmp_header_image_attachment_metadata',
		'mvx_datatable_get_vendor_all_orders' => 'wcmp_datatable_get_vendor_all_orders',
		'mvx_vendor_orders_bulk_action_ids' => 'wcmp_vendor_orders_bulk_action_ids',
		'mvx_vendor_dashboard_order_list_actions' => 'wcmp_my_account_my_orders_actions',
		'mvx_datatable_order_list_row' => 'wcmp_datatable_order_list_row_data',
		'mvx_vendor_orders_row_action_html' => 'wcmp_vendor_orders_row_action_html',
		'mvx_auto_suggesion_product_objects' => 'wcmp_auto_suggesion_product_objects',
		'mvx_csv_download_per_order_vendor' => 'wcmp_csv_download_per_order_vendor',
		'mvx_vendor_dashboard_product_list_table_orderable_columns' => 'wcmp_vendor_dashboard_product_list_table_orderable_columns',
		'mvx_vendor_dashboard_product_list_table_headers' => 'wcmp_vendor_dashboard_product_list_table_headers',
		'mvx_vendor_dashboard_default_product_list_statues' => 'wcmp_vendor_dashboard_default_product_list_statues',
		'mvx_get_vendor_product_list_query_args' => 'wcmp_get_vendor_product_list_query_args',
		'mvx_datatable_product_list_query_args' => 'wcmp_datatable_product_list_query_args',
		'mvx_enable_edit_product_options_for_statuses' => 'wcmp_enable_edit_product_options_for_statuses',
		'mvx_vendor_product_list_product_edit_link' => 'wcmp_vendor_product_list_product_edit_link',
		'mvx_vendor_product_list_row_actions' => 'wcmp_vendor_product_list_row_actions',
		'mvx_vendor_product_list_row_actions_column' => 'wcmp_vendor_product_list_row_actions_column',
		'mvx_vendor_product_list_row_product_categories' => 'wcmp_vendor_product_list_row_product_categories',
		'mvx_vendor_dashboard_product_list_table_rows' => 'wcmp_vendor_dashboard_product_list_table_row_data',
		'mvx_datatable_product_list_results' => 'wcmp_datatable_product_list_result_data',
		'mvx_before_unpaid_order_vendor_withdrawal_lists' => 'wcmp_before_unpaid_order_vendor_withdrawal_list_data',
		'mvx_vendor_withdrawal_list_rows' => 'wcmp_vendor_withdrawal_list_row_data',
		'mvx_get_vendor_coupon_list_query_args' => 'wcmp_get_vendor_coupon_list_query_args',
		'mvx_vendor_coupon_list_row_actions' => 'wcmp_vendor_coupon_list_row_actions',
		'mvx_vendor_coupon_list_row_actions_col' => 'wcmp_vendor_coupon_list_row_actions_col',
		'mvx_vendor_coupon_list_rows' => 'wcmp_vendor_coupon_list_row_data',
		'mvx_transaction_vendor' => 'wcmp_transaction_vendor',
		'mvx_vendor_transaction_list_rows' => 'wcmp_vendor_transaction_list_row_data',
		'mvx_product_tag_add_taxonomy' => 'wcmp_product_tag_add_taxonomy',
		'mvx_widget_vendor_pending_shipping_days_range' => 'wcmp_widget_vendor_pending_shipping_days_range',
		'mvx_vendor_pending_shipping_args' => 'wcmp_vendor_pending_shipping_args',
		'mvx_dashboard_pending_shipping_widget_data_actions' => 'wcmp_dashboard_pending_shipping_widget_data_actions',
		'mvx_widget_vendor_pending_shipping_rows' => 'wcmp_widget_vendor_pending_shipping_row_data',
		'mvx_widget_vendor_product_sales_report_days_range' => 'wcmp_widget_vendor_product_sales_report_days_range',
		'mvx_widget_vendor_product_sales_report_orders' => 'wcmp_widget_vendor_product_sales_report_orders',
		'mvx_widget_vendor_product_sales_report_line_items' => 'wcmp_widget_vendor_product_sales_report_line_items',
		'mvx_widget_vendor_product_sales_report_rows' => 'wcmp_widget_vendor_product_sales_report_row_data',
		'mvx_before_update_shipping_method_settings' => 'wcmp_before_update_shipping_method_settings',
		'mvx_show_shipping_zone_tax' => 'wcmp_show_shipping_zone_tax',
		'mvx_vendor_backend_shipping_methods_edit_form_fields' => 'wcmp_vendor_backend_shipping_methods_edit_form_fields',
		'mvx_product_classify_search_category_level_args' => 'wcmp_product_classify_search_category_level_args',
		'mvx_spmv_list_product_search_number' => 'wcmp_spmv_list_product_search_number',
		'mvx_list_a_products_objects' => 'wcmp_list_a_products_objects',
		'mvx_vendor_banking_ledger_lists' => 'wcmp_vendor_banking_ledger_lists',
		'mvx_vendor_banking_ledger_list_rows' => 'wcmp_vendor_banking_ledger_list_row_data',
		'mvx_current_vendor_id' => 'wcmp_current_vendor_id',
		'mvx_translated_product_content_before_save' => 'wcmp_translated_product_content_before_save',
		'mvx_completed_commission_statuses' => 'wcmp_completed_commission_statuses',
		'mvx_reversed_commission_statuses' => 'wcmp_reversed_commission_statuses',
		'mvx_create_order_commissions_as_per_statuses' => 'wcmp_create_order_commissions_as_per_statuses',
		'mvx_vendor_new_order_mail_statuses_transition_from' => 'wcmp_vendor_new_order_mail_statuses_transition_from',
		'mvx_get_commission_line_total' => 'wcmp_get_commission_line_total',
		'mvx_get_commission_amount' => 'wcmp_get_commission_amount',
		'mvx_admin_pay_commission_more_than_order_amount' => 'wcmp_admin_pay_commission_more_than_order_amount',
		'mvx_quantity_wise_commission_amount_modify' => 'wcmp_quantity_wise_commission_amount_modify',
		'mvx_category_wise_commission' => 'wcmp_category_wise_commission',
		'mvx_get_multiple_category_wise_max_commission_term_id' => 'wcmp_get_multiple_category_wise_max_commission_term_id',
		'mvx_multiple_category_wise_commission' => 'wcmp_multiple_category_wise_commission',
		'mvx_product_type_selector' => 'wcmp_product_type_selector',
		'mvx_vendor_product_sku_enabled' => 'wcmp_vendor_product_sku_enabled',
		'mvx_sold_by_text_in_cart_checkout' => 'wcmp_sold_by_text_in_cart_checkout',
		'mvx_sold_by_text' => 'wcmp_sold_by_text',
		'mvx_sold_by_text_after_products_shop_page' => 'wcmp_sold_by_text_after_products_shop_page',
		'mvx_vendor_capabilities' => 'wcmp_vendor_capabilities',
		'mvx_vendor_coupon_types_valid_for_product' => 'wcmp_vendor_coupon_types_valid_for_product',
		'mvx_multi_vendor_coupon_types' => 'wcmp_multi_vendor_coupon_types',
		'mvx_vendor_redirect_after_delete_coupon_action' => 'wcmp_vendor_redirect_after_delete_coupon_action',
		'mvx_coupon_current_id' => 'wcmp_coupon_current_id',
		'mvx_cron_hook_identifier' => 'wcmp_cron_hook_identifier',
		'mvx_cron_mass_payment_exclude_order_statuses' => 'wcmp_cron_mass_payment_exclude_order_statuses',
		'mvx_enabled_vendor_weekly_report_mail' => 'wcmp_enabled_vendor_weekly_report_mail',
		'mvx_enabled_vendor_monthly_report_mail' => 'wcmp_enabled_vendor_monthly_report_mail',
		'mvx_enabled_vendor_custom_date_report_mail' => 'wcmp_enabled_vendor_custom_date_report_mail',
		'mvx_migrate_spmv_multivendor_table_length' => 'wcmp_migrate_spmv_multivendor_table_length',
		'mvx_migrate_spmv_table_products_query_args' => 'wcmp_migrate_spmv_table_products_query_args',
		'mvx_email_classes' => 'wcmp_email_classes',
		'mvx_endpoints_query_vars' => 'wcmp_endpoints_query_vars',
		'mvx_load_default_vendor_store' => 'wcmp_load_default_vendor_store',
		'mvx_save_registration_fields' => 'wcmp_save_registration_fields',
		'mvx_vendor_formdata_mapped_types' => 'wcmp_vendor_formdata_mapped_types',
		'mvx_is_allow_checkout_user_location' => 'wcmp_is_allow_checkout_user_location',
		'mvx_split_shipping_packages' => 'wcmp_split_shipping_packages',
		'mvx_map_icon_width' => 'wcmp_map_icon_width',
		'mvx_map_icon_height' => 'wcmp_map_icon_height',
		'mvx_vendor_dashboard_dequeue_global_styles' => 'wcmp_vendor_dashboard_dequeue_global_styles',
		'mvx_styles_to_keep' => 'wcmp_styles_to_keep',
		'mvx_vendor_dashboard_exclude_header_footer' => 'wcmp_vendor_dashboard_exclude_header_footer',
		'mvx_store_tabs' => 'wcmp_store_tabs',
		'mvx_get_seller_policies_url' => 'wcmp_get_seller_policies_url',
		'mvx_get_seller_review_url' => 'wcmp_get_seller_review_url',
		'mvx_frontend_dash_upload_script_params' => 'wcmp_frontend_dash_upload_script_params',
		'mvx_google_maps_api_url' => 'wcmp_google_maps_api_url',
		'mvx_shop_order_query_request' => 'wcmp_shop_order_query_request',
		'mvx_prevent_vendor_order_emails_trigger' => 'wcmp_prevent_vendor_order_emails_trigger',
		'mvx_admin_vendor_shop_order_edit_url' => 'wcmp_admin_vendor_shop_order_edit_url',
		'mvx_create_vendor_order_new_order' => 'wcmp_create_vendor_order_new_order_data',
		'mvx_create_vendor_order_default_order_status' => 'wcmp_create_vendor_order_default_order_status',
		'mvx_vendor_order_metas' => 'wcmp_vendor_order_meta_data',
		'mvx_order_available_coupon_types' => 'wcmp_order_available_coupon_types',
		'mvx_parent_order_to_vendor_order_statuses_to_sync' => 'wcmp_parent_order_to_vendor_order_statuses_to_sync',
		'mvx_vendor_notified_when_admin_change_status' => 'wcmp_vendor_notified_when_admin_change_status',
		'mvx_vendor_order_to_parent_order_statuses_to_sync' => 'wcmp_vendor_order_to_parent_order_statuses_to_sync',
		'mvx_exclude_coping_orders' => 'wcmp_exclude_coping_order_data',
		'mvx_exclude_suborders_from_rest_api_call' => 'wcmp_exclude_suborders_from_rest_api_call',
		'mvx_fetch_all_suborders_from_rest_api_call' => 'wcmp_fetch_all_suborders_from_rest_api_call',
		'mvx_remove_suborders_from_rest_api_call' => 'wcmp_remove_suborders_from_rest_api_call',
		'mvx_exclude_suborders_from_rest_api_call_query_args' => 'wcmp_exclude_suborders_from_rest_api_call_query_args',
		'mvx_customer_my_account_refund_request_button_text' => 'wcmp_customer_my_account_refund_request_button_text',
		'mvx_customer_my_account_refund_reason_label' => 'wcmp_customer_my_account_refund_reason_label',
		'mvx_shop_order_bulk_action' => 'wcmp_shop_order_bulk_action',
		'mvx_shop_order_bulk_action_handler' => 'wcmp_shop_order_bulk_action_handler',
		'mvx_commission_transaction_amount' => 'wcmp_commission_transaction_amount',
		'mvx_commission_transfer_charge_amount' => 'wcmp_commission_transfer_charge_amount',
		'mvx_commission_gateway_charge_amount' => 'wcmp_commission_gateway_charge_amount',
		'mvx_vendor_wise_order_total' => 'wcmp_vendor_wise_order_total',
		'mvx_payment_gateways' => 'wcmp_payment_gateways',
		'mvx_create_vendor_commission_args' => 'wcmp_create_vendor_commission_args',
		'mvx_vendor_order_items_commission_rates' => 'wcmp_vendor_order_items_commission_rates',
		'mvx_commission_total_amount' => 'wcmp_commission_total_amount',
		'mvx_before_get_commissions_total_data_commission_posts' => 'wcmp_before_get_commissions_total_data_commission_posts',
		'mvx_admin_commission_order_item_thumbnail' => 'wcmp_admin_commission_order_item_thumbnail',
		'mvx_admin_commission_html_order_item_class' => 'wcmp_admin_commission_html_order_item_class',
		'mvx_new_commission_notes' => 'wcmp_new_commission_note_data',
		'mvx_vendor_commissions_header' => 'wcmp_vendor_commission_data_header',
		'mvx_vendor_commissions' => 'wcmp_vendor_commission_data',
		'mvx_post_commission_amount' => 'wcmp_post_commission_amount',
		'mvx_get_unpaid_commissions_total_data_query_args' => 'wcmp_get_unpaid_commissions_total_data_query_args',
		'mvx_get_unpaid_commissions_total_data_query_posts' => 'wcmp_get_unpaid_commissions_total_data_query_posts',
		'mvx_get_unpaid_commissions_total_data_vendor_check_caps' => 'wcmp_get_unpaid_commissions_total_data_vendor_check_caps',
		'mvx_transaction_item_totals' => 'wcmp_transaction_item_totals',
		'mvx_transaction_item_details' => 'wcmp_transaction_item_details',
		'mvx_get_transaction_details' => 'wcmp_get_transaction_details',
		'mvx_product_qna_insert_question' => 'wcmp_product_qna_insert_question_data',
		'mvx_product_qna_update_question' => 'wcmp_product_qna_update_question_data',
		'mvx_product_qna_insert_answer' => 'wcmp_product_qna_insert_answer_data',
		'mvx_product_qna_update_answer' => 'wcmp_product_qna_update_answer_data',
		'mvx_vendor_can_overwrite_policies' => 'wcmp_vendor_can_overwrite_policies',
		'mvx_disable_product_default_categories_hierarchy' => 'wcmp_disable_product_default_categories_hierarchy',
		'mvx_more_vendors_tab' => 'wcmp_more_vendors_tab',
		'mvx_single_product_multiple_vendor_products_array' => 'wcmp_single_product_multiple_vendor_products_array',
		'mvx_singleproductmultiseller_edit_product_title_disabled' => 'wcmp_singleproductmultiseller_edit_product_title_disabled',
		'mvx_additional_fields_product_vendor_tab' => 'wcmp_additional_fields_product_vendor_tab',
		'mvx_policies_tab_title' => 'wcmp_policies_tab_title',
		'mvx_report_abuse_text' => 'wcmp_report_abuse_text',
		'mvx_show_report_abuse_form_popup' => 'wcmp_show_report_abuse_form_popup',
		'mvx_spmv_filtered_product' => 'wcmp_spmv_filtered_product',
		'mvx_vendor_redirect_after_delete_product_action' => 'wcmp_vendor_redirect_after_delete_product_action',
		'mvx_product_current_id' => 'wcmp_product_current_id',
		'mvx_customer_questions_and_answers_enabled' => 'wcmp_customer_questions_and_answers_enabled',
		'mvx_enable_sold_by_on_wc_blocks_product_grid' => 'wcmp_enable_sold_by_on_wc_blocks_product_grid',
		'mvx_new_product_note' => 'wcmp_new_product_note_data',
		'mvx_new_product_get_note' => 'wcmp_new_product_get_note_data',
		'mvx_dashboard_sale_stats_vendor' => 'wcmp_dashboard_sale_stats_vendor',
		'mvx_filter_orders_report_overview' => 'wcmp_filter_orders_report_overview',
		'mvx_vendor_dashboard_reports' => 'wcmp_vendor_dashboard_report_data',
		'mvx_rating_review_order_status_filter' => 'wcmp_rating_review_order_status_filter',
		'mvx_vendor_rating_field_filter' => 'wcmp_vendor_rating_field_filter',
		'mvx_vendor_shipping_method_init' => 'wcmp_vendor_shipping_method_init',
		'mvx_vendor_taxonomy_name' => 'wcmp_vendor_taxonomy_name',
		'mvx_vendor_slug' => 'wcmp_vendor_slug',
		'mvx_spmv_taxonomy_slug' => 'wcmp_spmv_taxonomy_slug',
		'mvx_spmv_default_terms' => 'wcmp_spmv_default_terms',
		'mvx_gtin_taxonomy_slug' => 'wcmp_gtin_taxonomy_slug',
		'mvx_taxonomy_gtin_label_text' => 'wcmp_taxonomy_gtin_label_text',
		'mvx_gtin_default_terms' => 'wcmp_gtin_default_terms',
		'mvx_gtin_default_marketplace_unique_item_number_label' => 'wcmp_gtin_default_marketplace_unique_item_number_label',
		'mvx_locate_template' => 'wcmp_locate_template',
		'mvx_store_locate_template' => 'wcmp_store_locate_template',
		'mvx_vendor_login_redirect_url' => 'wcmp_vendor_login_redirect_url',
		'mvx_user_apply_vendor_redirect_url' => 'wcmp_user_apply_vendor_redirect_url',
		'mvx_vendor_login_redirect' => 'wcmp_vendor_login_redirect',
		'mvx_vendor_goto_dashboard' => 'wcmp_vendor_goto_dashboard',
		'mvx_vendor_fields' => 'wcmp_vendor_fields',
		'mvx_vendor_payment_mode' => 'wcmp_vendor_payment_mode',
		'mvx_vendor_policies_wp_editor_settings' => 'wcmp_vendor_policies_wp_editor_settings',
		'mvx_vendor_msg_to_buyer_wp_editor_settings' => 'wcmp_vendor_msg_to_buyer_wp_editor_settings',
		'mvx_vendor_user_fields' => 'wcmp_vendor_user_fields',
		'mvx_is_user_avatar_overridden' => 'is_wcmp_user_avatar_overridden',
		'mvx_vendor_has_policy_media_handle_meta_cap' => 'wcmp_vendor_has_policy_media_handle_meta_cap',
		'mvx_get_transaction_status_notice' => 'wcmp_get_transaction_status_notice',
		'mvx_can_vendor_export_orders_csv' => 'can_wcmp_vendor_export_orders_csv',
		'mvx_order_details_export_vendor' => 'wcmp_order_details_export_vendor',
		'mvx_vendor_order_generate_csv_headers' => 'wcmp_vendor_order_generate_csv_headers',
		'mvx_vendor_order_generate_csv' => 'wcmp_vendor_order_generate_csv_data',
		'mvx_export_discount_used_in_order' => 'wcmp_export_discount_used_in_order',
		'mvx_vendor_dashboard_pages_vendor' => 'wcmp_vendor_dashboard_pages_vendor',
		'mvx_vendor_view_shipping_page' => 'wcmp_vendor_view_shipping_page',
		'mvx_dashboard_shipping_vendor' => 'wcmp_dashboard_shipping_vendor',
		'mvx_vendor_shop_permalink' => 'wcmp_vendor_shop_permalink',
		'mvx_vendor_submit_product' => 'wcmp_vendor_submit_product',
		'mvx_vendor_dashboard_menu_add_product_capability' => 'wcmp_vendor_dashboard_menu_add_product_capability',
		'mvx_show_vendor_announcements' => 'wcmp_show_vendor_announcements',
		'mvx_vendor_dashboard_header_nav' => 'wcmp_vendor_dashboard_header_nav',
		'mvx_vendor_dashboard_header_right_panel_nav' => 'wcmp_vendor_dashboard_header_right_panel_nav',
		'mvx_vendor_visitors_map_filter_attr' => 'wcmp_vendor_visitors_map_filter_attr',
		'mvx_vendor_dashboard_add_product_url' => 'wcmp_vendor_dashboard_add_product_url',
		'mvx_before_dashboard_widget' => 'before_wcmp_dashboard_widget',
		'mvx_vendor_stats_reports_periods' => 'wcmp_vendor_stats_reports_periods',
		'mvx_vendor_pending_shipping_table_header' => 'wcmp_vendor_pending_shipping_table_header',
		'mvx_widget_vendor_transaction_details' => 'wcmp_widget_vendor_transaction_details_data',
		'mvx_vendor_visitors_map_script_dependancies' => 'wcmp_vendor_visitors_map_script_dependancies',
		'mvx_vendor_visitors_map_script' => 'wcmp_vendor_visitors_map_script_data',
		'mvx_submitted_products' => 'wcmp_submitted_product_data',
		'mvx_error_from_product_publish' => 'wcmp_error_from_product_publish',
		'mvx_vendor_save_product_redirect_url' => 'wcmp_vendor_save_product_redirect_url',
		'mvx_error_from_coupon_publish' => 'wcmp_error_from_coupon_publish',
		'mvx_send_coupon_mail_admin_status' => 'wcmp_send_coupon_mail_admin_status',
		'mvx_vendor_save_coupon_redirect_url' => 'wcmp_vendor_save_coupon_redirect_url',
		'mvx_vendor_setup_wizard_steps' => 'wcmp_vendor_setup_wizard_steps',
		'mvx_vendor_setup_wizard_site_logo_link' => 'wcmp_vendor_setup_wizard_site_logo_link',
		'mvx_vendor_setup_wizard_logo_customization' => 'wcmp_vendor_setup_wizard_logo_customization',
		'mvx_vendor_setup_wizard_available_payment_gateways' => 'wcmp_vendor_setup_wizard_available_payment_gateways',
		'mvx_vendor_setup_wizard_ready_add_product_url' => 'wcmp_vendor_setup_wizard_ready_add_product_url',
		'mvx_multi_split_payment_options' => 'wcmp_multi_split_payment_options',
		'mvx_vendors_product_review_args_array' => 'wcmp_vendors_product_review_args_array',
		'mvx_vendors_product_review_args_to_fetch' => 'wcmp_vendors_product_review_args_to_fetch',
		'mvx_vendors_product_review_args_count_array' => 'wcmp_vendors_product_review_args_count_array',
		'mvx_vendors_product_review_args_count_to_fetch' => 'wcmp_vendors_product_review_args_count_to_fetch',
		'mvx_add_vendor_shipping_class' => 'wcmp_add_vendor_shipping_class',
		'mvx_vendor_permalink' => 'wcmp_vendor_permalink',
		'mvx_get_vendor_products_query_args' => 'wcmp_get_vendor_products_query_args',
		'mvx_get_products_ids_clauses_request' => 'wcmp_get_products_ids_clauses_request',
		'mvx_get_products_ids' => 'wcmp_get_products_ids',
		'mvx_get_vendor_orders_by_product' => 'wcmp_get_vendor_orders_by_product',
		'mvx_vendor_get_order_item_totals' => 'wcmp_vendor_get_order_item_totals',
		'mvx_is_vendor_shipping_enable' => 'is_wcmp_vendor_shipping_enable',
		'mvx_is_vendor_transfer_shipping_enable' => 'is_wcmp_vendor_transfer_shipping_enable',
		'mvx_is_vendor_shipping_tab_enable' => 'is_wcmp_vendor_shipping_tab_enable',
		'mvx_vendor_order_report_details' => 'wcmp_vendor_order_report_of_data',
		'mvx_vendor_get_image_src' => 'wcmp_vendor_get_image_src',
		'mvx_clear_all_transients_included_vendor_id' => 'wcmp_clear_all_transients_included_vendor_id',
		'mvx_vendor_before_transients_to_clear' => 'wcmp_vendor_before_transients_to_clear',
		'mvx_vendor_before_get_formatted_address' => 'wcmp_vendor_before_get_formatted_address',
		'mvx_get_vendor_order_item_totals' => 'wcmp_get_vendor_order_item_totals',
		'mvx_get_top_rated_products_query_args' => 'wcmp_get_top_rated_products_query_args',
		'mvx_vendor_dashboard_menu_dashboard_capability' => 'wcmp_vendor_dashboard_menu_dashboard_capability',
		'mvx_vendor_dashboard_menu_store_settings_capability' => 'wcmp_vendor_dashboard_menu_store_settings_capability',
		'mvx_vendor_dashboard_menu_shop_front_capability' => 'wcmp_vendor_dashboard_menu_shop_front_capability',
		'mvx_vendor_dashboard_menu_vendor_policies_capability' => 'wcmp_vendor_dashboard_menu_vendor_policies_capability',
		'mvx_vendor_dashboard_menu_vendor_billing_capability' => 'wcmp_vendor_dashboard_menu_vendor_billing_capability',
		'mvx_vendor_dashboard_menu_vendor_shipping_capability' => 'wcmp_vendor_dashboard_menu_vendor_shipping_capability',
		'mvx_vendor_dashboard_menu_vendor_products_capability' => 'wcmp_vendor_dashboard_menu_vendor_products_capability',
		'mvx_vendor_products' => 'wcmp_vendor_products',
		'mvx_vendor_dashboard_menu_products_capability' => 'wcmp_vendor_dashboard_menu_products_capability',
		'mvx_vendor_dashboard_menu_vendor_promte_capability' => 'wcmp_vendor_dashboard_menu_vendor_promte_capability',
		'mvx_vendor_coupons' => 'wcmp_vendor_coupons',
		'mvx_vendor_dashboard_menu_vendor_coupons_capability' => 'wcmp_vendor_dashboard_menu_vendor_coupons_capability',
		'mvx_vendor_submit_coupon' => 'wcmp_vendor_submit_coupon',
		'mvx_vendor_dashboard_menu_add_coupon_capability' => 'wcmp_vendor_dashboard_menu_add_coupon_capability',
		'mvx_vendor_dashboard_menu_vendor_report_capability' => 'wcmp_vendor_dashboard_menu_vendor_report_capability',
		'mvx_vendor_dashboard_menu_vendor_banking_report_capability' => 'wcmp_vendor_dashboard_menu_vendor_banking_report_capability',
		'mvx_vendor_dashboard_menu_vendor_orders_capability' => 'wcmp_vendor_dashboard_menu_vendor_orders_capability',
		'mvx_vendor_dashboard_menu_vendor_payments_capability' => 'wcmp_vendor_dashboard_menu_vendor_payments_capability',
		'mvx_vendor_dashboard_menu_vendor_withdrawal_capability' => 'wcmp_vendor_dashboard_menu_vendor_withdrawal_capability',
		'mvx_vendor_dashboard_menu_transaction_details_capability' => 'wcmp_vendor_dashboard_menu_transaction_details_capability',
		'mvx_vendor_dashboard_menu_vendor_knowledgebase_capability' => 'wcmp_vendor_dashboard_menu_vendor_knowledgebase_capability',
		'mvx_vendor_dashboard_menu_vendor_tools_capability' => 'wcmp_vendor_dashboard_menu_vendor_tools_capability',
		'mvx_vendor_dashboard_nav' => 'wcmp_vendor_dashboard_nav',
		'mvx_vendor_dashboard_breadcrumbs_separator' => 'wcmp_vendor_dashboard_breadcrumbs_separator',
		'mvx_create_vendor_dashboard_breadcrumbs' => 'wcmp_create_vendor_dashboard_breadcrumbs',
		'mvx_vendor_dashboard_banking_overview_table_headers' => 'wcmp_vendor_dashboard_banking_overview_table_headers',
		'mvx_product_classify_script_data_params' => 'wcmp_product_classify_script_data_params',
		'mvx_vendor_dashboard_product_list_table_init' => 'wcmp_vendor_dashboard_product_list_table_init',
		'mvx_bulk_actions_vendor_order_list' => 'wcmp_bulk_actions_vendor_order_list',
		'mvx_vendor_dashboard_payment_withdrawal_table_init' => 'wcmp_vendor_dashboard_payment_withdrawal_table_init',
		'mvx_vendor_can_overwrite_customer_support' => 'wcmp_vendor_can_overwrite_customer_support',
		'mvx_vendor_dashboard_show_progress_bar' => 'wcmp_vendor_dashboard_show_progress_bar',
		'mvx_store_sidebar_args' => 'wcmp_store_sidebar_args',
		'mvx_coupon_code_generator_characters' => 'wcmp_coupon_code_generator_characters',
		'mvx_coupon_code_generator_character_length' => 'wcmp_coupon_code_generator_character_length',
		'mvx_coupon_code_generator_prefix' => 'wcmp_coupon_code_generator_prefix',
		'mvx_coupon_code_generator_suffix' => 'wcmp_coupon_code_generator_suffix',
		'mvx_get_script_content' => 'wcmp_get_script_data',
		'mvx_current_coupon_edit' => 'wcmp_current_coupon_edit',
		'mvx_vendor_capability_to_edit_coupons' => 'wcmp_vendor_capability_to_edit_coupons',
		'mvx_frontend_dashboard_coupon_data_tabs' => 'wcmp_afm_coupon_data_tabs',
		'mvx_frontend_dashboard_add_coupon_params' => 'wcmp_afm_add_coupon_params',
		'mvx_ledger_data_store_before_create' => 'wcmp_ledger_data_store_before_create_data',
		'mvx_data_store_ledger_get_ledger_where_sql' => 'wcmp_data_store_ledger_get_ledger_where_sql',
		'mvx_data_store_ledger_get_ledger_order_sql' => 'wcmp_data_store_ledger_get_ledger_order_sql',
		'mvx_data_store_ledger_get_ledger_sql_query' => 'wcmp_data_store_ledger_get_ledger_sql_query',
		'mvx_admin_added_new_product_to_vendor_email_subject' => 'wcmp_admin_added_new_product_to_vendor_email_subject',
		'mvx_admin_published_product_to_vendor_email_subject' => 'wcmp_admin_published_product_to_vendor_email_subject',
		'mvx_admin_added_new_product_to_vendor_email_heading' => 'wcmp_admin_added_new_product_to_vendor_email_heading',
		'mvx_admin_change_order_status_email_subject' => 'wcmp_admin_change_order_status_email_subject',
		'mvx_admin_change_order_status_email_heading' => 'wcmp_admin_change_order_status_email_heading',
		'mvx_admin_new_vendor_email_subject' => 'wcmp_admin_new_vendor_email_subject',
		'mvx_admin_new_vendor_email_heading' => 'wcmp_admin_new_vendor_email_heading',
		'mvx_admin_widthdrawal_request_email_subject' => 'wcmp_admin_widthdrawal_request_email_subject',
		'mvx_admin_widthdrawal_request_email_heading' => 'wcmp_admin_widthdrawal_request_email_heading',
		'mvx_approved_vendor_new_account_email_subject' => 'wcmp_approved_vendor_new_account_email_subject',
		'mvx_approved_vendor_new_account_email_heading' => 'wcmp_approved_vendor_new_account_email_heading',
		'mvx_vendor_customer_answer_email_subject' => 'wcmp_vendor_customer_answer_email_subject',
		'mvx_vendor_customer_answer_email_heading' => 'wcmp_vendor_customer_answer_email_heading',
		'mvx_customer_refund_request_email_subject' => 'wcmp_customer_refund_request_email_subject',
		'mvx_customer_refund_request_email_heading' => 'wcmp_customer_refund_request_email_heading',
		'mvx_rejected_vendor_new_account_email_subject' => 'wcmp_rejected_vendor_new_account_email_subject',
		'mvx_rejected_vendor_new_account_email_heading' => 'wcmp_rejected_vendor_new_account_email_heading',
		'mvx_report_abuse_email_goes_to_vendor' => 'wcmp_report_abuse_email_goes_to_vendor',
		'mvx_report_abuse_email_subject' => 'wcmp_report_abuse_email_subject',
		'mvx_report_abuse_email_heading' => 'wcmp_report_abuse_email_heading',
		'mvx_report_abuse_email_goes_to_admin' => 'wcmp_report_abuse_email_goes_to_admin',
		'mvx_report_abuse_email_headers' => 'wcmp_report_abuse_email_headers',
		'mvx_suspend_vendor_account_email_subject' => 'wcmp_suspend_vendor_account_email_subject',
		'mvx_suspend_vendor_account_email_heading' => 'wcmp_suspend_vendor_account_email_heading',
		'mvx_vendor_contact_widget_email_subject' => 'wcmp_vendor_contact_widget_email_subject',
		'mvx_vendor_contact_widget_email_heading' => 'wcmp_vendor_contact_widget_email_heading',
		'mvx_vendor_contact_widget_email_goes_to_admin' => 'wcmp_vendor_contact_widget_email_goes_to_admin',
		'mvx_vendor_contact_widget_email_headers' => 'wcmp_vendor_contact_widget_email_headers',
		'mvx_vendor_direct_bank_email_subject' => 'wcmp_vendor_direct_bank_email_subject',
		'mvx_vendor_direct_bank_email_heading' => 'wcmp_vendor_direct_bank_email_heading',
		'mvx_vendor_followed_email_subject' => 'wcmp_vendor_followed_email_subject',
		'mvx_vendor_new_order_email_heading' => 'wcmp_vendor_new_order_email_heading',
		'mvx_vendor_new_account_email_subject' => 'wcmp_vendor_new_account_email_subject',
		'mvx_vendor_new_account_email_heading' => 'wcmp_vendor_new_account_email_heading',
		'mvx_vendor_new_announcement_email_subject' => 'wcmp_vendor_new_announcement_email_subject',
		'mvx_vendor_new_announcement_email_heading' => 'wcmp_vendor_new_announcement_email_heading',
		'mvx_vendor_commissions_transaction_email_subject' => 'wcmp_vendor_commissions_transaction_email_subject',
		'mvx_vendor_commissions_transaction_email_heading' => 'wcmp_vendor_commissions_transaction_email_heading',
		'mvx_admin_new_vendor_coupon_email_subject' => 'wcmp_admin_new_vendor_coupon_email_subject',
		'mvx_admin_new_vendor_coupon_email_heading' => 'wcmp_admin_new_vendor_coupon_email_heading',
		'mvx_vendor_new_order_email_subject' => 'wcmp_vendor_new_order_email_subject',
		'mvx_admin_new_vendor_product_email_subject' => 'wcmp_admin_new_vendor_product_email_subject',
		'mvx_admin_new_vendor_product_email_heading' => 'wcmp_admin_new_vendor_product_email_heading',
		'mvx_vendor_new_question_email_subject' => 'wcmp_vendor_new_question_email_subject',
		'mvx_vendor_new_question_email_heading' => 'wcmp_vendor_new_question_email_heading',
		'mvx_notify_shipped_email_subject' => 'wcmp_notify_shipped_email_subject',
		'mvx_notify_shipped_email_heading' => 'wcmp_notify_shipped_email_heading',
		'mvx_vendor_orders_stats_report_email_subject' => 'wcmp_vendor_orders_stats_report_email_subject',
		'mvx_vendor_orders_stats_report_email_heading' => 'wcmp_vendor_orders_stats_report_email_heading',
		'mvx_vendor_orders_stats_report_email_attachments' => 'wcmp_vendor_orders_stats_report_email_attachments',
		'mvx_vendor_review_email_goes_to_vendor' => 'wcmp_vendor_review_email_goes_to_vendor',
		'mvx_vendor_review_vendor_email_subject' => 'wcmp_vendor_review_vendor_email_subject',
		'mvx_vendor_new_review_email_heading' => 'wcmp_vendor_new_review_email_heading',
		'mvx_paypal_payout_batch_status' => 'wcmp_paypal_payout_batch_status',
		'mvx_stripe_description_at_paid_time' => 'wcmp_stripe_description_at_paid_time',
		'mvx_migration_steps' => 'wcmp_migration_steps',
		'mvx_break_loop_offset' => 'wcmp_break_loop_offset',
		'mvx_products_by_vendor_args' => 'wcmp_products_by_vendor_args',
		'mvx_disabled_product_shipping_tab' => 'wcmp_disabled_product_shipping_tab',
		'mvx_current_vendor_product_capability' => 'wcmp_current_vendor_product_capability',
		'mvx_product_data_tabs' => 'wcmp_product_data_tabs',
		'mvx_product_type_options' => 'wcmp_product_type_options',
		'mvx_advance_product_script_params' => 'wcmp_advance_product_script_params',
		'mvx_vendor_can_add_product_tag' => 'wcmp_vendor_can_add_product_tag',
		'pre_get_mvx_vendors_query' => 'pre_get_wcmp_vendors_query',
		'mvx_vendor_query_result_stores' => 'wcmp_vendor_query_result_store_data',
		'mvx_report_admin_overview_query_args' => 'wcmp_report_admin_overview_query_args',
		'mvx_report_admin_overview_orders' => 'wcmp_report_admin_overview_orders',
		'mvx_vendor_report_overview_query_args' => 'wcmp_vendor_report_overview_query_args',
		'mvx_report_data_product_query_args' => 'wcmp_report_data_product_query_args',
		'mvx_filter_orders_report_product' => 'wcmp_filter_orders_report_product',
		'mvx_admin_report_banking_header' => 'wcmp_admin_report_banking_header',
		'mvx_admin_report_banking_details' => 'wcmp_admin_report_banking_details',
		'mvx_hide_country_shiping_default_zero_cost' => 'wcmp_hide_country_shiping_default_zero_cost',
		'mvx_is_apply_tax_on_shipping_rates' => 'wcmp_is_apply_tax_on_shipping_rates',
		'mvx_local_pickup_shipping_option_label' => 'wcmp_local_pickup_shipping_option_label',
		'mvx_free_shipping_minimum_order_amount' => 'wcmp_free_shipping_minimum_order_amount',
		'mvx_free_shipping_threshold_consider_tax' => 'wcmp_free_shipping_threshold_consider_tax',
		'mvx_shipping_country_calculate_amount' => 'wcmp_shipping_country_calculate_amount',
		'mvx_shipping_distance_calculate_amount' => 'wcmp_shipping_distance_calculate_amount',
		'mvx_is_allow_hide_admin_shipping_for_vendor_shipping' => 'wcmp_is_allow_hide_admin_shipping_for_vendor_shipping',
		'mvx_is_allow_hide_other_shipping_if_free' => 'wcmp_is_allow_hide_other_shipping_if_free',
		'mvx_is_allow_admin_shipping_if_no_vendor_shipping' => 'wcmp_is_allow_admin_shipping_if_no_vendor_shipping',
		'mvx_get_shipping_methods_for_shipping_address' => 'wcmp_get_shipping_methods_for_shipping_address',
		'mvx_get_rates_for_custom_shipping' => 'wcmp_get_rates_for_custom_shipping',
		'mvx_vendor_before_add_shipping_rates' => 'wcmp_vendor_before_add_shipping_rate_data',
		'mvx_shipping_free_shipping_is_available' => 'wcmp_shipping_free_shipping_is_available',
		'mvx_get_vendor_shipping_method_id' => 'wcmp_get_vendor_shipping_method_id',
		'mvx_vendor_list_vendors_query_args' => 'wcmp_vendor_list_vendors_query_args',
		'mvx_vendor_list_get_mvx_vendors_args' => 'wcmp_vendor_list_get_wcmp_vendors_args',
		'mvx_vendor_list_ignore_pagination' => 'wcmp_vendor_list_ignore_pagination',
		'mvx_vendor_list_script_data_params' => 'wcmp_vendor_list_script_data_params',
		'mvx_vendor_list_filter_radius' => 'wcmp_vendor_list_filter_radius_data',
		'mvx_vendor_list_array_contains' => 'wcmp_vendor_list_data',
		'mvx_load_default_vendor_list' => 'wcmp_load_default_vendor_list',
		'mvx_get_vendor_coupon_widget_list_query_args' => 'wcmp_get_vendor_coupon_widget_list_query_args',
		'mvx_widget_vendor_product_search_form' => 'wcmp_widget_vendor_product_search_form',
		'mvx_vendor_top_rated_products_widget_shows_only_vendor_shop' => 'wcmp_vendor_top_rated_products_widget_shows_only_vendor_shop',
		'mvx_vendor_top_rated_products_author_user_query' => 'wcmp_vendor_top_rated_products_author_user_query',
		'mvx_vendor_top_rated_products_author_in' => 'wcmp_vendor_top_rated_products_author_in',
		'mvx_vendor_top_rated_products_widget_title' => 'wcmp_vendor_top_rated_products_widget_title',
		'mvx_enable_setup_wizard' => 'wcmp_enable_setup_wizard',
		'mvx_all_admin_options' => 'wcmp_all_admin_options',
		'is_user_mvx_vendor' => 'is_user_wcmp_vendor',
		'get_mvx_vendors' => 'get_wcmp_vendors',
		'mvx_is_vendor_dashboard' => 'is_wcmp_vendor_dashboard',
		'mvx_is_vendor_registration' => 'is_wcmp_vendor_registration',
		'mvx_is_vendor_page' => 'is_wcmp_vendor_page',
		'get_mvx_vendor_orders_query_where' => 'get_wcmp_vendor_orders_query_where',
		'mvx_seller_review_enable' => 'wcmp_seller_review_enable',
		'mvx_vendor_dashboard_nav_item_css_class' => 'wcmp_vendor_dashboard_nav_item_css_class',
		'mvx_get_vendor_dashboard_endpoint_url' => 'wcmp_get_vendor_dashboard_endpoint_url',
		'mvx_vendor_review_rating_info_default_type' => 'wcmp_vendor_review_rating_info_default_type',
		'mvx_vendors_product_review_info_args' => 'wcmp_vendors_product_review_info_args',
		'mvx_current_loggedin_vendor_id' => 'wcmp_current_loggedin_vendor_id',
		'mvx_vendor_profile_completion_progress_fields' => 'wcmp_vendor_profile_completion_progress_fields',
		'mvx_vendor_profile_completion_progress_array' => 'wcmp_vendor_profile_completion_progress_array',
		'mvx_visitor_map_widget_primary_color_n_shade' => 'wcmp_visitor_map_widget_primary_color_n_shade',
		'mvx_vendor_stats_default_days_range' => 'wcmp_vendor_stats_default_days_range',
		'mvx_image_url_from_upload_field_value_src' => 'wcmp_image_url_from_upload_field_value_src',
		'mvx_vendor_list_map_vendor_info_html' => 'wcmp_vendor_list_map_vendor_info_html',
		'mvx_get_vendor_list_map_store' => 'wcmp_get_vendor_list_map_store_data',
		'mvx_get_available_product_types' => 'wcmp_get_available_product_types',
		'mvx_spmv_filtered_min_price_product' => 'wcmp_spmv_filtered_min_price_product',
		'mvx_spmv_filtered_max_price_product' => 'wcmp_spmv_filtered_max_price_product',
		'mvx_spmv_filtered_top_rated_vendor_product' => 'wcmp_spmv_filtered_top_rated_vendor_product',
		'mvx_spmv_term_exclude_products' => 'wcmp_spmv_term_exclude_products_data',
		'mvx_get_available_commission_types' => 'wcmp_get_available_commission_types',
		'mvx_before_list_categories_query_args' => 'before_wcmp_list_categories_query_args',
		'mvx_list_categories_list_style_classes' => 'wcmp_list_categories_list_style_classes',
		'mvx_list_categories_show_count_style_classess' => 'wcmp_list_categories_show_count_style_classess',
		'mvx_list_categories_get_term_link' => 'wcmp_list_categories_get_term_link',
		'mvx_list_categories_term_name' => 'wcmp_list_categories_term_name',
		'mvx_list_categories' => 'wcmp_list_categories',
		'mvx_vendor_shipping_methods' => 'wcmp_vendor_shipping_methods',
		'mvx_is_allowed_product_type_check' => 'wcmp_is_allowed_product_type_check',
		'mvx_allowed_only_vendor_shipping_class' => 'wcmp_allowed_only_vendor_shipping_class',
		'mvx_get_product_terms_html_selected_terms' => 'wcmp_get_product_terms_html_selected_terms',
		'mvx_generate_hierarchical_taxonomy_html_max_depth' => 'wcmp_generate_hierarchical_taxonomy_html_max_depth',
		'mvx_term_breadcrumb_defaults' => 'wcmp_term_breadcrumb_defaults',
		'mvx_generate_term_breadcrumb_crumb_link' => 'wcmp_generate_term_breadcrumb_crumb_link',
		'mvx_generate_term_breadcrumb_html' => 'wcmp_generate_term_breadcrumb_html',
		'mvx_is_product_in_spmv' => 'wcmp_is_product_in_spmv',
		'mvx_get_price_to_display' => 'wcmp_get_price_to_display',
		'mvx_get_commission_statuses' => 'wcmp_get_commission_statuses',
		'mvx_get_product_link' => 'wcmp_get_product_link',
		'mvx_default_payment_gateways' => 'wcmp_default_payment_gateways',
		'mvx_available_payment_gateways' => 'wcmp_available_payment_gateways',
		'mvx_ledger_types' => 'wcmp_ledger_types',
		'mvx_more_spmv_products' => 'wcmp_more_spmv_products_data',
		'mvx_mapbox_map_style_switcher' => 'wcmp_mapbox_map_style_switcher',
		'mvx_marketplace_settings_fields_shipping_distance' => 'wcmp_marketplace_settings_fields_shipping_distance',
		'mvx_settings_fields_shipping_rates_by_distance' => 'wcmp_settings_fields_shipping_rates_by_distance',
		'mvx_vendor_shipping_option_to_vendor' => 'wcmp_vendor_shipping_option_to_vendor',
		'mvx_settings_fields_shipping_by_country' => 'wcmp_settings_fields_shipping_by_country',
		'mvx_settings_fields_shipping_rates_by_country' => 'wcmp_settings_fields_shipping_rates_by_country',
		'mvx_vendor_list_main_wrapper_start' => 'wcmp_vendor_list_main_wrapper_start',
		'mvx_vendor_list_main_wrapper_end' => 'wcmp_vendor_list_main_wrapper_end',
		'mvx_vendor_list_map_wrapper_start' => 'wcmp_vendor_list_map_wrapper_start',
		'mvx_vendor_list_form_wrapper_start' => 'wcmp_vendor_list_form_wrapper_start',
		'mvx_vendor_list_form_wrapper_end' => 'wcmp_vendor_list_form_wrapper_end',
		'mvx_vendor_list_map_wrapper_end' => 'wcmp_vendor_list_map_wrapper_end',
		'mvx_vendor_list_row_default_column' => 'wcmp_vendor_list_row_default_column',
		'mvx_vendor_list_content_wrapper_start' => 'wcmp_vendor_list_content_wrapper_start',
		'mvx_vendor_list_content_wrapper_end' => 'wcmp_vendor_list_content_wrapper_end',
		'mvx_no_vendors_found' => 'wcmp_no_vendors_found_data',
		'mvx_vendor_list_pagination_args' => 'wcmp_vendor_list_pagination_args',
		'mvx_vendor_top_product_list_suffle' => 'wcmp_vendor_top_product_list_suffle',
		'mvx_get_orders_query_args' => 'wcmp_get_orders_query_args',
		'mvx_customer_my_account_refund_order_messages' => 'wcmp_customer_my_account_refund_order_messages',
		'mvx_customer_refund_order_default_days_limit' => 'wcmp_customer_refund_order_default_days_limit',
		'mvx_load_default_packages' => 'wcmp_load_default_packages',
		'bp_nav_mvx_shop_page' => 'bp_nav_wcmp_shop_page',
		'mvx_vendor_buddypress_options' => 'wcmp_vendor_buddypress_options',
		'mvx_elementor_social_network_map' => 'wcmp_elementor_social_network_map',
		'mvx_elementor_store_data_defaults' => 'wcmp_elementor_store_data_defaults',
		'mvx_vendor_store_header_hide_description' => 'wcmp_vendor_store_header_hide_description',
		'mvx_vendor_store_header_hide_store_address' => 'wcmp_vendor_store_header_hide_store_address',
		'mvx_vendor_store_header_hide_store_phone' => 'wcmp_vendor_store_header_hide_store_phone',
		'mvx_vendor_store_header_hide_store_email' => 'wcmp_vendor_store_header_hide_store_email',
		'mvx_elementor_store_data_defaults_for_editing' => 'wcmp_elementor_store_data_defaults_for_editing',
		'mvx_elementor_tags_store_info_value' => 'wcmp_elementor_tags_store_info_value',
		'mvx_elementor_tags_store_tab_items_value' => 'wcmp_elementor_tags_store_tab_items_value',
		'mvx_is_allow_full_width_video' => 'wcmp_is_allow_full_width_video',
		'mvx_blocked_vendor_text' => 'wcmp_blocked_vendor_text',
		'mvx_elementor_vendor_product_page' => 'wcmp_elementor_vendor_product_page',
		'mvx_table_rate_js_inclide_pages' => 'wcmp_table_rate_js_inclide_pages',
		'mvx_shipping_policies_heading' => 'wcmp_shipping_policies_heading',
		'mvx_refund_policies_heading' => 'wcmp_refund_policies_heading',
		'mvx_cancellation_policies_heading' => 'wcmp_cancellation_policies_heading',
		'mvx_display_vendor_message_to_buyer' => 'wcmp_display_vendor_message_to_buyer',
		'mvx_before_seller_info_tab' => 'wcmp_before_seller_info_tab',
		'mvx_after_seller_info_tab' => 'wcmp_after_seller_info_tab',
		'mvx_show_page_title' => 'wcmp_show_page_title',
		'mvx_customer_qna_label' => 'wcmp_customer_qna_label',
		'mvx_customer_qna_no_answer_label' => 'wcmp_customer_qna_no_answer_label',
		'mvx_is_start_with_full_rating' => 'wcmp_is_start_with_full_rating',
		'mvx_admin_new_vendor_email_vendor_application_url' => 'wcmp_admin_new_vendor_email_vendor_application_url',
		'mvx_admin_direct_bank_received_text' => 'wcmp_admin_direct_bank_received_text',
		'mvx_admin_paypal_received_text' => 'wcmp_admin_paypal_received_text',
		'mvx_email_footer_text' => 'wcmp_email_footer_text',
		'mvx_email_admin_new_product_link' => 'wcmp_email_admin_new_product_link',
		'mvx_email_vendor_new_coupon_link' => 'wcmp_email_vendor_new_coupon_link',
		'mvx_email_vendor_new_product_link' => 'wcmp_email_vendor_new_product_link',
		'mvx_email_vendor_rejected_product_link' => 'wcmp_email_vendor_rejected_product_link',
		'mvx_thankyou_transaction_received_text' => 'wcmp_thankyou_transaction_received_text',
		'mvx_vendor_question_redirect_link' => 'wcmp_vendor_question_redirect_link',
		'mvx_vendor_plain_question_redirect_link' => 'wcmp_vendor_plain_question_redirect_link',
		'mvx_rejected_vendor_dashboard_message' => 'wcmp_rejected_vendor_dashboard_message',
		'mvx_pending_vendor_dashboard_message' => 'wcmp_pending_vendor_dashboard_message',
		'mvx_review_link_final_filter' => 'wcmp_review_link_final_filter',
		'mvx_varified_buyer_text_filter' => 'wcmp_varified_buyer_text_filter',
		'mvx_suspended_vendor_dashboard_message' => 'wcmp_suspended_vendor_dashboard_message',
		'mvx_vendor_list_vendor_sort_type' => 'wcmp_vendor_list_vendor_sort_type',
		'mvx_vendor_lists_single_button_text' => 'wcmp_vendor_lists_single_button_text',
		'mvx_vendor_registration_header_text' => 'wcmp_vendor_registration_header_text',
		'mvx_vendor_registration_submit' => 'wcmp_vendor_registration_submit',
		'mvx_more_vendors' => 'wcmp_more_vendors',
		'mvx_single_product_more_vendors_text' => 'wcmp_single_product_more_vendors_text',
		'mvx_vendor_dashboard_header_site_url' => 'wcmp_vendor_dashboard_header_site_url',
		'mvx_vendor_storefront_wp_editor_settings' => 'wcmp_vendor_storefront_wp_editor_settings',
		'mvx_dashboard_location_widget_map_style' => 'wcmp_dashboard_location_widget_map_style',
		'mvx_vendor_shop_template_options' => 'wcmp_vendor_shop_template_options',
		'mvx_vendor_paypal_email_container_class' => 'wcmp_vendor_paypal_email_container_class',
		'mvx_vendor_stripe_connect_account_type' => 'wcmp_vendor_stripe_connect_account_type',
		'mvx_vendor_stripe_connect_account_type_request_url' => 'wcmp_vendor_stripe_connect_account_type_request_url',
		'mvx_vendor_stripe_connect_account_type_request_params' => 'wcmp_vendor_stripe_connect_account_type_request_params',
		'mvx_datatable_order_list_table_headers' => 'wcmp_datatable_order_list_table_headers',
		'mvx_vendor_dashboard_order_filter_status_array' => 'wcmp_vendor_dashboard_order_filter_status_arr',
		'mvx_datatable_vendor_transactions_list_table_headers' => 'wcmp_datatable_vendor_transactions_list_table_headers',
		'mvx_vendor_knowledgebase_query_args' => 'wcmp_vendor_knowledgebase_query_args',
		'mvx_datatable_vendor_withdrawal_list_table_headers' => 'wcmp_datatable_vendor_withdrawal_list_table_headers',
		'mvx_datatable_coupon_list_table_headers' => 'wcmp_datatable_coupon_list_table_headers',
		'mvx_vendor_select_product_for_add_coupon' => 'wcmp_vendor_select_product_for_add_coupon',
		'mvx_dashboard_pending_shipping_vendor' => 'wcmp_dashboard_pending_shipping_vendor',
		'mvx_dashboard_sales_vendor' => 'wcmp_dashboard_sales_vendor',
		'mvx_datatable_widget_product_sales_report_table_headers' => 'wcmp_datatable_widget_product_sales_report_table_headers',
		'mvx_vendor_product_classify_first_level_categories' => 'wcmp_vendor_product_classify_1_level_categories',
		'mvx_product_uploaded_image_size' => 'wcmp_product_uploaded_image_size',
		'mvx_frontend_dashboard_product_data_tabs_filter' => 'wcmp_afm_product_data_tabs_filter',
		'mvx_vendor_can_add_product_category' => 'wcmp_vendor_can_add_product_category',
		'mvx_vendor_dashboard_product_list_filters_status' => 'wcmp_vendor_dashboard_product_list_filters_status',
		'mvx_product_list_bulk_actions' => 'wcmp_product_list_bulk_actions',
		'mvx_can_vendor_configure_tax' => 'wcmp_can_vendor_configure_tax',
		'mvx_can_vendor_manage_stock' => 'wcmp_can_vendor_manage_stock',
		'mvx_add_product_default_gtin_types' => 'wcmp_add_product_default_gtin_types',
		'mvx_feature_product_is_enable' => 'wcmp_feature_product_is_enable',
		'mvx_current_vendor_order_capability' => 'wcmp_current_vendor_order_capability',
		'mvx_vendor_order_statuses' => 'wcmp_vendor_order_statuses',
		'mvx_vendor_refund_capability' => 'wcmp_vendor_refund_capability',
		'mvx_vendor_download_permissions_title' => 'wcmp_vendor_download_permissions_title',
		'mvx_vendor_dash_customer_details' => 'wcmp_vendor_dash_customer_details_data',
		'mvx_vendor_order_customer_notes_enabled' => 'wcmp_vendor_order_customer_notes_enabled',
		'mvx_vendor_dash_order_item_thumbnail' => 'wcmp_vendor_dash_order_item_thumbnail',
		'mvx_vendor_dash_html_order_item_class' => 'wcmp_vendor_dash_html_order_item_class',
		'mvx_vendor_order_item_types' => 'wcmp_vendor_order_item_types',
		'mvx_vendor_order_item_coupon_url' => 'wcmp_vendor_order_item_coupon_url',
		'mvx_order_note_class' => 'wcmp_order_note_class',
		'mvx_store_location_widget_mapbox_style' => 'wcmp_store_location_widget_map_style',
		'mvx_widget_varified_buyer_text_filter' => 'wcmp_widget_varified_buyer_text_filter',
		'mvx_widget_empty_reviews_text_filter' => 'wcmp_widget_empty_reviews_text_filter',
		'mvx_setup_wizard_steps' => 'wcmp_setup_wizard_steps',
		'mvx_crop_image_override_with_original' => 'wcmp_crop_image_override_with_original',
		'mvx_submenu_show_necesarry_count' => 'wcmp_submenu_show_necesarry_count',
		'mvx_products_list_total_products_query_args' => 'wcmp_products_list_total_products_query_args',
		'mvx_vendor_product_list_image_size' => 'wcmp_vendor_product_list_image_size',
		'mvx_vendor_can_modify_qna_answer' => 'wcmp_vendor_can_modify_qna_answer',
		'mvx_hide_vendor_shipping_classes' => 'wcmp_hide_vendor_shipping_classes',
		'mvx_searched_name_gtin_product_list_image_size' => 'wcmp_searched_name_gtin_product_list_image_size',
		'mvx_vendor_can_add_custom_attribute' => 'wcmp_vendor_can_add_custom_attribute',
		'mvx_allow_refund_parent_order' => 'wcmp_allow_refund_parent_order',
		'mvx_json_search_found_products' => 'wcmp_json_search_found_products',
		'mvx_is_vendor_edit_non_published_product' => 'is_wcmp_vendor_edit_non_published_product',
		'mvx_coupon_vendor' => 'wcmp_coupon_vendor',
		'mvx_send_vendor_weekly_zero_order_stats_report' => 'wcmp_send_vendor_weekly_zero_order_stats_report',
		'mvx_send_vendor_monthly_zero_order_stats_report' => 'wcmp_send_vendor_monthly_zero_order_stats_report',
		'mvx_is_disable_store_visitors_stats' => 'wcmp_is_disable_store_visitors_stats',
		'mvx_suspended_vendor_product_view_return_url' => 'wcmp_suspended_vendor_product_view_return_url',
		'mvx_google_maps_api_args' => 'wcmp_google_maps_api_args',
		'mvx_parent_order_to_vendor_order_status_synchronization' => 'wcmp_parent_order_to_vendor_order_status_synchronization',
		'mvx_vendor_order_to_parent_order_status_synchronization' => 'wcmp_vendor_order_to_parent_order_status_synchronization',
		'mvx_gateway_charge_with_refunded_order_amount' => 'wcmp_gateway_charge_with_refunded_order_amount',
		'mvx_admin_commission_order_item_types' => 'wcmp_admin_commission_order_item_types',
		'mvx_enable_product_search_by_gtin_code' => 'wcmp_enable_product_search_by_gtin_code',
		'mvx_show_report_abuse_link' => 'wcmp_show_report_abuse_link',
		'mvx_shortcode_products_query' => 'wcmp_shortcode_products_query',
		'mvx_update_user_display_name_with_vendor_store_name' => 'wcmp_update_user_display_name_with_vendor_store_name',
		'mvx_user_avatar_classes' => 'wcmp_user_avatar_classes',
		'mvx_vendor_store_setup_wizard_enabled' => 'wcmp_vendor_store_setup_wizard_enabled',
		'mvx_get_vendor_order_item_totals_split_taxes' => 'wcmp_get_vendor_order_item_totals_split_taxes',
		'mvx_send_mail_to_admin_when_vendor_reapply' => 'wcmp_send_mail_to_admin_when_vendor_reapply',
		'mvx_show_admin_bar' => 'wcmp_show_admin_bar',
		'mvx_load_stripe_library' => 'wcmp_load_stripe_library',
		'mvx_is_allow_store_shipping' => 'wcmp_is_allow_store_shipping',
		'mvx_allow_supported_shipping_in_vendor_shipping_package' => 'allow_supported_shipping_in_wcmp_vendor_shipping_package',
		'mvx_enable_users_can_register_for_vendor_registration' => 'enable_users_can_register_for_wcmp_vendor_registration',
		'mvx_widget_vendor_list_query_args' => 'wcmp_widget_vendor_list_query_args',
		'mvx_widget_show_vpc_hierarchical_if_no_parents' => 'wcmp_widget_show_vpc_hierarchical_if_no_parents',
		'mvx_vendor_rating_widget_set_avg' => 'wcmp_vendor_rating_widget_set_avg',
		'mvx_do_schedule_cron_vendor_weekly_order_stats' => 'wcmp_do_schedule_cron_vendor_weekly_order_stats',
		'mvx_do_schedule_cron_mvx_spmv_excluded_products_map' => 'wcmp_do_schedule_cron_wcmp_spmv_excluded_products_map',
		'mvx_is_visible_frontend_product_categories' => 'is_visible_wcmp_frontend_product_cat',
		'mvx_vendor_list_enable_store_locator_map' => 'wcmp_vendor_list_enable_store_locator_map',
		'mvx_img_tip_display_on_fileds_section' => 'wcmp_img_tip_display_on_fileds_section',
		'mvx_vendor_registration_form_default_country_code' => 'wcmp_vendor_registration_form_default_country_code',
		'mvx_announcement_content' => 'wcmp_announcement_content',
		'mvx_vendor_storefront_wpeditor_enabled' => 'wcmp_vendor_storefront_wpeditor_enabled',
		'mvx_vendor_product_excerpt_richedit' => 'wcmp_vendor_product_excerpt_richedit',
	);

	/**
	 * Array of versions on each hook has been deprecated.
	 *
	 * @var array
	 */
	protected $deprecated_version = array(
		'wcmp_prevent_automatic_wizard_redirect' => '4.0.0',
		'before_wcmp_rest_prepare_product_object_data' => '4.0.0',
		'wcmp_vendor_review_rating_args_to_fetch' => '4.0.0',
		'wcmp_rest_prepare_vendor_review' => '4.0.0',
		'wcmp_rest_prepare_vendor_object_args' => '4.0.0',
		'wcmp_rest_suppress_image_upload_error' => '4.0.0',
		'wcmp_rest_create_file_in_uploads' => '4.0.0',
		'wcmp_regenerate_order_commissions_statuses' => '4.0.0',
		'wcmp_regenerate_order_commissions_by_new_commission_rate' => '4.0.0',
		'before_wcmp_crop_image_cropDetails_data' => '4.0.0',
		'before_wcmp_crop_image_cropOptions_data' => '4.0.0',
		'wcmp_create_file_in_uploads' => '4.0.0',
		'wcmp_header_image_attachment_metadata' => '4.0.0',
		'wcmp_datatable_get_vendor_all_orders' => '4.0.0',
		'wcmp_vendor_orders_bulk_action_ids' => '4.0.0',
		'wcmp_my_account_my_orders_actions' => '4.0.0',
		'wcmp_datatable_order_list_row_data' => '4.0.0',
		'wcmp_vendor_orders_row_action_html' => '4.0.0',
		'wcmp_auto_suggesion_product_objects' => '4.0.0',
		'wcmp_csv_download_per_order_vendor' => '4.0.0',
		'wcmp_vendor_dashboard_product_list_table_orderable_columns' => '4.0.0',
		'wcmp_vendor_dashboard_product_list_table_headers' => '4.0.0',
		'wcmp_vendor_dashboard_default_product_list_statues' => '4.0.0',
		'wcmp_get_vendor_product_list_query_args' => '4.0.0',
		'wcmp_datatable_product_list_query_args' => '4.0.0',
		'wcmp_enable_edit_product_options_for_statuses' => '4.0.0',
		'wcmp_vendor_product_list_product_edit_link' => '4.0.0',
		'wcmp_vendor_product_list_row_actions' => '4.0.0',
		'wcmp_vendor_product_list_row_actions_column' => '4.0.0',
		'wcmp_vendor_product_list_row_product_categories' => '4.0.0',
		'wcmp_vendor_dashboard_product_list_table_row_data' => '4.0.0',
		'wcmp_datatable_product_list_result_data' => '4.0.0',
		'wcmp_before_unpaid_order_vendor_withdrawal_list_data' => '4.0.0',
		'wcmp_vendor_withdrawal_list_row_data' => '4.0.0',
		'wcmp_get_vendor_coupon_list_query_args' => '4.0.0',
		'wcmp_vendor_coupon_list_row_actions' => '4.0.0',
		'wcmp_vendor_coupon_list_row_actions_col' => '4.0.0',
		'wcmp_vendor_coupon_list_row_data' => '4.0.0',
		'wcmp_transaction_vendor' => '4.0.0',
		'wcmp_vendor_transaction_list_row_data' => '4.0.0',
		'wcmp_product_tag_add_taxonomy' => '4.0.0',
		'wcmp_widget_vendor_pending_shipping_days_range' => '4.0.0',
		'wcmp_vendor_pending_shipping_args' => '4.0.0',
		'wcmp_dashboard_pending_shipping_widget_data_actions' => '4.0.0',
		'wcmp_widget_vendor_pending_shipping_row_data' => '4.0.0',
		'wcmp_widget_vendor_product_sales_report_days_range' => '4.0.0',
		'wcmp_widget_vendor_product_sales_report_orders' => '4.0.0',
		'wcmp_widget_vendor_product_sales_report_line_items' => '4.0.0',
		'wcmp_widget_vendor_product_sales_report_row_data' => '4.0.0',
		'wcmp_before_update_shipping_method_settings' => '4.0.0',
		'wcmp_show_shipping_zone_tax' => '4.0.0',
		'wcmp_vendor_backend_shipping_methods_edit_form_fields' => '4.0.0',
		'wcmp_product_classify_search_category_level_args' => '4.0.0',
		'wcmp_spmv_list_product_search_number' => '4.0.0',
		'wcmp_list_a_products_objects' => '4.0.0',
		'wcmp_vendor_banking_ledger_lists' => '4.0.0',
		'wcmp_vendor_banking_ledger_list_row_data' => '4.0.0',
		'wcmp_current_vendor_id' => '4.0.0',
		'wcmp_translated_product_content_before_save' => '4.0.0',
		'wcmp_completed_commission_statuses' => '4.0.0',
		'wcmp_reversed_commission_statuses' => '4.0.0',
		'wcmp_create_order_commissions_as_per_statuses' => '4.0.0',
		'wcmp_vendor_new_order_mail_statuses_transition_from' => '4.0.0',
		'wcmp_get_commission_line_total' => '4.0.0',
		'wcmp_get_commission_amount' => '4.0.0',
		'wcmp_admin_pay_commission_more_than_order_amount' => '4.0.0',
		'wcmp_quantity_wise_commission_amount_modify' => '4.0.0',
		'wcmp_category_wise_commission' => '4.0.0',
		'wcmp_get_multiple_category_wise_max_commission_term_id' => '4.0.0',
		'wcmp_multiple_category_wise_commission' => '4.0.0',
		'wcmp_product_type_selector' => '4.0.0',
		'wcmp_vendor_product_sku_enabled' => '4.0.0',
		'wcmp_sold_by_text_in_cart_checkout' => '4.0.0',
		'wcmp_sold_by_text' => '4.0.0',
		'wcmp_sold_by_text_after_products_shop_page' => '4.0.0',
		'wcmp_vendor_capabilities' => '4.0.0',
		'wcmp_vendor_coupon_types_valid_for_product' => '4.0.0',
		'wcmp_multi_vendor_coupon_types' => '4.0.0',
		'wcmp_vendor_redirect_after_delete_coupon_action' => '4.0.0',
		'wcmp_coupon_current_id' => '4.0.0',
		'wcmp_cron_hook_identifier' => '4.0.0',
		'wcmp_cron_mass_payment_exclude_order_statuses' => '4.0.0',
		'wcmp_enabled_vendor_weekly_report_mail' => '4.0.0',
		'wcmp_enabled_vendor_monthly_report_mail' => '4.0.0',
		'wcmp_enabled_vendor_custom_date_report_mail' => '4.0.0',
		'wcmp_migrate_spmv_multivendor_table_length' => '4.0.0',
		'wcmp_migrate_spmv_table_products_query_args' => '4.0.0',
		'wcmp_email_classes' => '4.0.0',
		'wcmp_endpoints_query_vars' => '4.0.0',
		'wcmp_load_default_vendor_store' => '4.0.0',
		'wcmp_save_registration_fields' => '4.0.0',
		'wcmp_vendor_formdata_mapped_types' => '4.0.0',
		'wcmp_is_allow_checkout_user_location' => '4.0.0',
		'wcmp_split_shipping_packages' => '4.0.0',
		'wcmp_map_icon_width' => '4.0.0',
		'wcmp_map_icon_height' => '4.0.0',
		'wcmp_vendor_dashboard_dequeue_global_styles' => '4.0.0',
		'wcmp_styles_to_keep' => '4.0.0',
		'wcmp_vendor_dashboard_exclude_header_footer' => '4.0.0',
		'wcmp_store_tabs' => '4.0.0',
		'wcmp_get_seller_policies_url' => '4.0.0',
		'wcmp_get_seller_review_url' => '4.0.0',
		'wcmp_frontend_dash_upload_script_params' => '4.0.0',
		'wcmp_google_maps_api_url' => '4.0.0',
		'wcmp_shop_order_query_request' => '4.0.0',
		'wcmp_prevent_vendor_order_emails_trigger' => '4.0.0',
		'wcmp_admin_vendor_shop_order_edit_url' => '4.0.0',
		'wcmp_create_vendor_order_new_order_data' => '4.0.0',
		'wcmp_create_vendor_order_default_order_status' => '4.0.0',
		'wcmp_vendor_order_meta_data' => '4.0.0',
		'wcmp_order_available_coupon_types' => '4.0.0',
		'wcmp_parent_order_to_vendor_order_statuses_to_sync' => '4.0.0',
		'wcmp_vendor_notified_when_admin_change_status' => '4.0.0',
		'wcmp_vendor_order_to_parent_order_statuses_to_sync' => '4.0.0',
		'wcmp_exclude_coping_order_data' => '4.0.0',
		'wcmp_exclude_suborders_from_rest_api_call' => '4.0.0',
		'wcmp_fetch_all_suborders_from_rest_api_call' => '4.0.0',
		'wcmp_remove_suborders_from_rest_api_call' => '4.0.0',
		'wcmp_exclude_suborders_from_rest_api_call_query_args' => '4.0.0',
		'wcmp_customer_my_account_refund_request_button_text' => '4.0.0',
		'wcmp_customer_my_account_refund_reason_label' => '4.0.0',
		'wcmp_shop_order_bulk_action' => '4.0.0',
		'wcmp_shop_order_bulk_action_handler' => '4.0.0',
		'wcmp_commission_transaction_amount' => '4.0.0',
		'wcmp_commission_transfer_charge_amount' => '4.0.0',
		'wcmp_commission_gateway_charge_amount' => '4.0.0',
		'wcmp_vendor_wise_order_total' => '4.0.0',
		'wcmp_payment_gateways' => '4.0.0',
		'wcmp_create_vendor_commission_args' => '4.0.0',
		'wcmp_vendor_order_items_commission_rates' => '4.0.0',
		'wcmp_commission_total_amount' => '4.0.0',
		'wcmp_before_get_commissions_total_data_commission_posts' => '4.0.0',
		'wcmp_admin_commission_order_item_thumbnail' => '4.0.0',
		'wcmp_admin_commission_html_order_item_class' => '4.0.0',
		'wcmp_new_commission_note_data' => '4.0.0',
		'wcmp_vendor_commission_data_header' => '4.0.0',
		'wcmp_vendor_commission_data' => '4.0.0',
		'wcmp_post_commission_amount' => '4.0.0',
		'wcmp_get_unpaid_commissions_total_data_query_args' => '4.0.0',
		'wcmp_get_unpaid_commissions_total_data_query_posts' => '4.0.0',
		'wcmp_get_unpaid_commissions_total_data_vendor_check_caps' => '4.0.0',
		'wcmp_transaction_item_totals' => '4.0.0',
		'wcmp_transaction_item_details' => '4.0.0',
		'wcmp_get_transaction_details' => '4.0.0',
		'wcmp_product_qna_insert_question_data' => '4.0.0',
		'wcmp_product_qna_update_question_data' => '4.0.0',
		'wcmp_product_qna_insert_answer_data' => '4.0.0',
		'wcmp_product_qna_update_answer_data' => '4.0.0',
		'wcmp_vendor_can_overwrite_policies' => '4.0.0',
		'wcmp_disable_product_default_categories_hierarchy' => '4.0.0',
		'wcmp_more_vendors_tab' => '4.0.0',
		'wcmp_single_product_multiple_vendor_products_array' => '4.0.0',
		'wcmp_singleproductmultiseller_edit_product_title_disabled' => '4.0.0',
		'wcmp_additional_fields_product_vendor_tab' => '4.0.0',
		'wcmp_policies_tab_title' => '4.0.0',
		'wcmp_report_abuse_text' => '4.0.0',
		'wcmp_show_report_abuse_form_popup' => '4.0.0',
		'wcmp_spmv_filtered_product' => '4.0.0',
		'wcmp_vendor_redirect_after_delete_product_action' => '4.0.0',
		'wcmp_product_current_id' => '4.0.0',
		'wcmp_customer_questions_and_answers_enabled' => '4.0.0',
		'wcmp_enable_sold_by_on_wc_blocks_product_grid' => '4.0.0',
		'wcmp_new_product_note_data' => '4.0.0',
		'wcmp_new_product_get_note_data' => '4.0.0',
		'wcmp_dashboard_sale_stats_vendor' => '4.0.0',
		'wcmp_filter_orders_report_overview' => '4.0.0',
		'wcmp_vendor_dashboard_report_data' => '4.0.0',
		'wcmp_rating_review_order_status_filter' => '4.0.0',
		'wcmp_vendor_rating_field_filter' => '4.0.0',
		'wcmp_vendor_shipping_method_init' => '4.0.0',
		'wcmp_vendor_taxonomy_name' => '4.0.0',
		'wcmp_vendor_slug' => '4.0.0',
		'wcmp_spmv_taxonomy_slug' => '4.0.0',
		'wcmp_spmv_default_terms' => '4.0.0',
		'wcmp_gtin_taxonomy_slug' => '4.0.0',
		'wcmp_taxonomy_gtin_label_text' => '4.0.0',
		'wcmp_gtin_default_terms' => '4.0.0',
		'wcmp_gtin_default_marketplace_unique_item_number_label' => '4.0.0',
		'wcmp_locate_template' => '4.0.0',
		'wcmp_store_locate_template' => '4.0.0',
		'wcmp_vendor_login_redirect_url' => '4.0.0',
		'wcmp_user_apply_vendor_redirect_url' => '4.0.0',
		'wcmp_vendor_login_redirect' => '4.0.0',
		'wcmp_vendor_goto_dashboard' => '4.0.0',
		'wcmp_vendor_fields' => '4.0.0',
		'wcmp_vendor_payment_mode' => '4.0.0',
		'wcmp_vendor_policies_wp_editor_settings' => '4.0.0',
		'wcmp_vendor_msg_to_buyer_wp_editor_settings' => '4.0.0',
		'wcmp_vendor_user_fields' => '4.0.0',
		'is_wcmp_user_avatar_overridden' => '4.0.0',
		'wcmp_vendor_has_policy_media_handle_meta_cap' => '4.0.0',
		'wcmp_get_transaction_status_notice' => '4.0.0',
		'can_wcmp_vendor_export_orders_csv' => '4.0.0',
		'wcmp_order_details_export_vendor' => '4.0.0',
		'wcmp_vendor_order_generate_csv_headers' => '4.0.0',
		'wcmp_vendor_order_generate_csv_data' => '4.0.0',
		'wcmp_export_discount_used_in_order' => '4.0.0',
		'wcmp_vendor_dashboard_pages_vendor' => '4.0.0',
		'wcmp_vendor_view_shipping_page' => '4.0.0',
		'wcmp_dashboard_shipping_vendor' => '4.0.0',
		'wcmp_vendor_shop_permalink' => '4.0.0',
		'wcmp_vendor_submit_product' => '4.0.0',
		'wcmp_vendor_dashboard_menu_add_product_capability' => '4.0.0',
		'wcmp_show_vendor_announcements' => '4.0.0',
		'wcmp_vendor_dashboard_header_nav' => '4.0.0',
		'wcmp_vendor_dashboard_header_right_panel_nav' => '4.0.0',
		'wcmp_vendor_visitors_map_filter_attr' => '4.0.0',
		'wcmp_vendor_dashboard_add_product_url' => '4.0.0',
		'before_wcmp_dashboard_widget' => '4.0.0',
		'wcmp_vendor_stats_reports_periods' => '4.0.0',
		'wcmp_vendor_pending_shipping_table_header' => '4.0.0',
		'wcmp_widget_vendor_transaction_details_data' => '4.0.0',
		'wcmp_vendor_visitors_map_script_dependancies' => '4.0.0',
		'wcmp_vendor_visitors_map_script_data' => '4.0.0',
		'wcmp_submitted_product_data' => '4.0.0',
		'wcmp_error_from_product_publish' => '4.0.0',
		'wcmp_vendor_save_product_redirect_url' => '4.0.0',
		'wcmp_error_from_coupon_publish' => '4.0.0',
		'wcmp_send_coupon_mail_admin_status' => '4.0.0',
		'wcmp_vendor_save_coupon_redirect_url' => '4.0.0',
		'wcmp_vendor_setup_wizard_steps' => '4.0.0',
		'wcmp_vendor_setup_wizard_site_logo_link' => '4.0.0',
		'wcmp_vendor_setup_wizard_logo_customization' => '4.0.0',
		'wcmp_vendor_setup_wizard_available_payment_gateways' => '4.0.0',
		'wcmp_vendor_setup_wizard_ready_add_product_url' => '4.0.0',
		'wcmp_multi_split_payment_options' => '4.0.0',
		'wcmp_vendors_product_review_args_array' => '4.0.0',
		'wcmp_vendors_product_review_args_to_fetch' => '4.0.0',
		'wcmp_vendors_product_review_args_count_array' => '4.0.0',
		'wcmp_vendors_product_review_args_count_to_fetch' => '4.0.0',
		'wcmp_add_vendor_shipping_class' => '4.0.0',
		'wcmp_vendor_permalink' => '4.0.0',
		'wcmp_get_vendor_products_query_args' => '4.0.0',
		'wcmp_get_products_ids_clauses_request' => '4.0.0',
		'wcmp_get_products_ids' => '4.0.0',
		'wcmp_get_vendor_orders_by_product' => '4.0.0',
		'wcmp_vendor_get_order_item_totals' => '4.0.0',
		'is_wcmp_vendor_shipping_enable' => '4.0.0',
		'is_wcmp_vendor_transfer_shipping_enable' => '4.0.0',
		'is_wcmp_vendor_shipping_tab_enable' => '4.0.0',
		'wcmp_vendor_order_report_of_data' => '4.0.0',
		'wcmp_vendor_get_image_src' => '4.0.0',
		'wcmp_clear_all_transients_included_vendor_id' => '4.0.0',
		'wcmp_vendor_before_transients_to_clear' => '4.0.0',
		'wcmp_vendor_before_get_formatted_address' => '4.0.0',
		'wcmp_get_vendor_order_item_totals' => '4.0.0',
		'wcmp_get_top_rated_products_query_args' => '4.0.0',
		'wcmp_vendor_dashboard_menu_dashboard_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_store_settings_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_shop_front_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_policies_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_billing_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_shipping_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_products_capability' => '4.0.0',
		'wcmp_vendor_products' => '4.0.0',
		'wcmp_vendor_dashboard_menu_products_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_promte_capability' => '4.0.0',
		'wcmp_vendor_coupons' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_coupons_capability' => '4.0.0',
		'wcmp_vendor_submit_coupon' => '4.0.0',
		'wcmp_vendor_dashboard_menu_add_coupon_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_report_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_banking_report_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_orders_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_payments_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_withdrawal_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_transaction_details_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_knowledgebase_capability' => '4.0.0',
		'wcmp_vendor_dashboard_menu_vendor_tools_capability' => '4.0.0',
		'wcmp_vendor_dashboard_nav' => '4.0.0',
		'wcmp_vendor_dashboard_breadcrumbs_separator' => '4.0.0',
		'wcmp_create_vendor_dashboard_breadcrumbs' => '4.0.0',
		'wcmp_vendor_dashboard_banking_overview_table_headers' => '4.0.0',
		'wcmp_product_classify_script_data_params' => '4.0.0',
		'wcmp_vendor_dashboard_product_list_table_init' => '4.0.0',
		'wcmp_bulk_actions_vendor_order_list' => '4.0.0',
		'wcmp_vendor_dashboard_payment_withdrawal_table_init' => '4.0.0',
		'wcmp_vendor_can_overwrite_customer_support' => '4.0.0',
		'wcmp_vendor_dashboard_show_progress_bar' => '4.0.0',
		'wcmp_store_sidebar_args' => '4.0.0',
		'wcmp_coupon_code_generator_characters' => '4.0.0',
		'wcmp_coupon_code_generator_character_length' => '4.0.0',
		'wcmp_coupon_code_generator_prefix' => '4.0.0',
		'wcmp_coupon_code_generator_suffix' => '4.0.0',
		'wcmp_get_script_data' => '4.0.0',
		'wcmp_current_coupon_edit' => '4.0.0',
		'wcmp_vendor_capability_to_edit_coupons' => '4.0.0',
		'wcmp_afm_coupon_data_tabs' => '4.0.0',
		'wcmp_afm_add_coupon_params' => '4.0.0',
		'wcmp_ledger_data_store_before_create_data' => '4.0.0',
		'wcmp_data_store_ledger_get_ledger_where_sql' => '4.0.0',
		'wcmp_data_store_ledger_get_ledger_order_sql' => '4.0.0',
		'wcmp_data_store_ledger_get_ledger_sql_query' => '4.0.0',
		'wcmp_admin_added_new_product_to_vendor_email_subject' => '4.0.0',
		'wcmp_admin_published_product_to_vendor_email_subject' => '4.0.0',
		'wcmp_admin_added_new_product_to_vendor_email_heading' => '4.0.0',
		'wcmp_admin_change_order_status_email_subject' => '4.0.0',
		'wcmp_admin_change_order_status_email_heading' => '4.0.0',
		'wcmp_admin_new_vendor_email_subject' => '4.0.0',
		'wcmp_admin_new_vendor_email_heading' => '4.0.0',
		'wcmp_admin_widthdrawal_request_email_subject' => '4.0.0',
		'wcmp_admin_widthdrawal_request_email_heading' => '4.0.0',
		'wcmp_approved_vendor_new_account_email_subject' => '4.0.0',
		'wcmp_approved_vendor_new_account_email_heading' => '4.0.0',
		'wcmp_vendor_customer_answer_email_subject' => '4.0.0',
		'wcmp_vendor_customer_answer_email_heading' => '4.0.0',
		'wcmp_customer_refund_request_email_subject' => '4.0.0',
		'wcmp_customer_refund_request_email_heading' => '4.0.0',
		'wcmp_rejected_vendor_new_account_email_subject' => '4.0.0',
		'wcmp_rejected_vendor_new_account_email_heading' => '4.0.0',
		'wcmp_report_abuse_email_goes_to_vendor' => '4.0.0',
		'wcmp_report_abuse_email_subject' => '4.0.0',
		'wcmp_report_abuse_email_heading' => '4.0.0',
		'wcmp_report_abuse_email_goes_to_admin' => '4.0.0',
		'wcmp_report_abuse_email_headers' => '4.0.0',
		'wcmp_suspend_vendor_account_email_subject' => '4.0.0',
		'wcmp_suspend_vendor_account_email_heading' => '4.0.0',
		'wcmp_vendor_contact_widget_email_subject' => '4.0.0',
		'wcmp_vendor_contact_widget_email_heading' => '4.0.0',
		'wcmp_vendor_contact_widget_email_goes_to_admin' => '4.0.0',
		'wcmp_vendor_contact_widget_email_headers' => '4.0.0',
		'wcmp_vendor_direct_bank_email_subject' => '4.0.0',
		'wcmp_vendor_direct_bank_email_heading' => '4.0.0',
		'wcmp_vendor_followed_email_subject' => '4.0.0',
		'wcmp_vendor_new_order_email_heading' => '4.0.0',
		'wcmp_vendor_new_account_email_subject' => '4.0.0',
		'wcmp_vendor_new_account_email_heading' => '4.0.0',
		'wcmp_vendor_new_announcement_email_subject' => '4.0.0',
		'wcmp_vendor_new_announcement_email_heading' => '4.0.0',
		'wcmp_vendor_commissions_transaction_email_subject' => '4.0.0',
		'wcmp_vendor_commissions_transaction_email_heading' => '4.0.0',
		'wcmp_admin_new_vendor_coupon_email_subject' => '4.0.0',
		'wcmp_admin_new_vendor_coupon_email_heading' => '4.0.0',
		'wcmp_vendor_new_order_email_subject' => '4.0.0',
		'wcmp_admin_new_vendor_product_email_subject' => '4.0.0',
		'wcmp_admin_new_vendor_product_email_heading' => '4.0.0',
		'wcmp_vendor_new_question_email_subject' => '4.0.0',
		'wcmp_vendor_new_question_email_heading' => '4.0.0',
		'wcmp_notify_shipped_email_subject' => '4.0.0',
		'wcmp_notify_shipped_email_heading' => '4.0.0',
		'wcmp_vendor_orders_stats_report_email_subject' => '4.0.0',
		'wcmp_vendor_orders_stats_report_email_heading' => '4.0.0',
		'wcmp_vendor_orders_stats_report_email_attachments' => '4.0.0',
		'wcmp_vendor_review_email_goes_to_vendor' => '4.0.0',
		'wcmp_vendor_review_vendor_email_subject' => '4.0.0',
		'wcmp_vendor_new_review_email_heading' => '4.0.0',
		'wcmp_paypal_payout_batch_status' => '4.0.0',
		'wcmp_stripe_description_at_paid_time' => '4.0.0',
		'wcmp_migration_steps' => '4.0.0',
		'wcmp_break_loop_offset' => '4.0.0',
		'wcmp_products_by_vendor_args' => '4.0.0',
		'wcmp_disabled_product_shipping_tab' => '4.0.0',
		'wcmp_current_vendor_product_capability' => '4.0.0',
		'wcmp_product_data_tabs' => '4.0.0',
		'wcmp_product_type_options' => '4.0.0',
		'wcmp_advance_product_script_params' => '4.0.0',
		'wcmp_vendor_can_add_product_tag' => '4.0.0',
		'pre_get_wcmp_vendors_query' => '4.0.0',
		'wcmp_vendor_query_result_store_data' => '4.0.0',
		'wcmp_report_admin_overview_query_args' => '4.0.0',
		'wcmp_report_admin_overview_orders' => '4.0.0',
		'wcmp_vendor_report_overview_query_args' => '4.0.0',
		'wcmp_report_data_product_query_args' => '4.0.0',
		'wcmp_filter_orders_report_product' => '4.0.0',
		'wcmp_admin_report_banking_header' => '4.0.0',
		'wcmp_admin_report_banking_details' => '4.0.0',
		'wcmp_hide_country_shiping_default_zero_cost' => '4.0.0',
		'wcmp_is_apply_tax_on_shipping_rates' => '4.0.0',
		'wcmp_local_pickup_shipping_option_label' => '4.0.0',
		'wcmp_free_shipping_minimum_order_amount' => '4.0.0',
		'wcmp_free_shipping_threshold_consider_tax' => '4.0.0',
		'wcmp_shipping_country_calculate_amount' => '4.0.0',
		'wcmp_shipping_distance_calculate_amount' => '4.0.0',
		'wcmp_is_allow_hide_admin_shipping_for_vendor_shipping' => '4.0.0',
		'wcmp_is_allow_hide_other_shipping_if_free' => '4.0.0',
		'wcmp_is_allow_admin_shipping_if_no_vendor_shipping' => '4.0.0',
		'wcmp_get_shipping_methods_for_shipping_address' => '4.0.0',
		'wcmp_get_rates_for_custom_shipping' => '4.0.0',
		'wcmp_vendor_before_add_shipping_rate_data' => '4.0.0',
		'wcmp_shipping_free_shipping_is_available' => '4.0.0',
		'wcmp_get_vendor_shipping_method_id' => '4.0.0',
		'wcmp_vendor_list_vendors_query_args' => '4.0.0',
		'wcmp_vendor_list_get_wcmp_vendors_args' => '4.0.0',
		'wcmp_vendor_list_ignore_pagination' => '4.0.0',
		'wcmp_vendor_list_script_data_params' => '4.0.0',
		'wcmp_vendor_list_filter_radius_data' => '4.0.0',
		'wcmp_vendor_list_data' => '4.0.0',
		'wcmp_load_default_vendor_list' => '4.0.0',
		'wcmp_get_vendor_coupon_widget_list_query_args' => '4.0.0',
		'wcmp_widget_vendor_product_search_form' => '4.0.0',
		'wcmp_vendor_top_rated_products_widget_shows_only_vendor_shop' => '4.0.0',
		'wcmp_vendor_top_rated_products_author_user_query' => '4.0.0',
		'wcmp_vendor_top_rated_products_author_in' => '4.0.0',
		'wcmp_vendor_top_rated_products_widget_title' => '4.0.0',
		'wcmp_enable_setup_wizard' => '4.0.0',
		'wcmp_all_admin_options' => '4.0.0',
		'is_user_wcmp_vendor' => '4.0.0',
		'get_wcmp_vendors' => '4.0.0',
		'is_wcmp_vendor_dashboard' => '4.0.0',
		'is_wcmp_vendor_registration' => '4.0.0',
		'is_wcmp_vendor_page' => '4.0.0',
		'get_wcmp_vendor_orders_query_where' => '4.0.0',
		'wcmp_seller_review_enable' => '4.0.0',
		'wcmp_vendor_dashboard_nav_item_css_class' => '4.0.0',
		'wcmp_get_vendor_dashboard_endpoint_url' => '4.0.0',
		'wcmp_vendor_review_rating_info_default_type' => '4.0.0',
		'wcmp_vendors_product_review_info_args' => '4.0.0',
		'wcmp_current_loggedin_vendor_id' => '4.0.0',
		'wcmp_vendor_profile_completion_progress_fields' => '4.0.0',
		'wcmp_vendor_profile_completion_progress_array' => '4.0.0',
		'wcmp_visitor_map_widget_primary_color_n_shade' => '4.0.0',
		'wcmp_vendor_stats_default_days_range' => '4.0.0',
		'wcmp_image_url_from_upload_field_value_src' => '4.0.0',
		'wcmp_vendor_list_map_vendor_info_html' => '4.0.0',
		'wcmp_get_vendor_list_map_store_data' => '4.0.0',
		'wcmp_get_available_product_types' => '4.0.0',
		'wcmp_spmv_filtered_min_price_product' => '4.0.0',
		'wcmp_spmv_filtered_max_price_product' => '4.0.0',
		'wcmp_spmv_filtered_top_rated_vendor_product' => '4.0.0',
		'wcmp_spmv_term_exclude_products_data' => '4.0.0',
		'wcmp_get_available_commission_types' => '4.0.0',
		'before_wcmp_list_categories_query_args' => '4.0.0',
		'wcmp_list_categories_list_style_classes' => '4.0.0',
		'wcmp_list_categories_show_count_style_classess' => '4.0.0',
		'wcmp_list_categories_get_term_link' => '4.0.0',
		'wcmp_list_categories_term_name' => '4.0.0',
		'wcmp_list_categories' => '4.0.0',
		'wcmp_vendor_shipping_methods' => '4.0.0',
		'wcmp_is_allowed_product_type_check' => '4.0.0',
		'wcmp_allowed_only_vendor_shipping_class' => '4.0.0',
		'wcmp_get_product_terms_html_selected_terms' => '4.0.0',
		'wcmp_generate_hierarchical_taxonomy_html_max_depth' => '4.0.0',
		'wcmp_term_breadcrumb_defaults' => '4.0.0',
		'wcmp_generate_term_breadcrumb_crumb_link' => '4.0.0',
		'wcmp_generate_term_breadcrumb_html' => '4.0.0',
		'wcmp_is_product_in_spmv' => '4.0.0',
		'wcmp_get_price_to_display' => '4.0.0',
		'wcmp_get_commission_statuses' => '4.0.0',
		'wcmp_get_product_link' => '4.0.0',
		'wcmp_default_payment_gateways' => '4.0.0',
		'wcmp_available_payment_gateways' => '4.0.0',
		'wcmp_ledger_types' => '4.0.0',
		'wcmp_more_spmv_products_data' => '4.0.0',
		'wcmp_mapbox_map_style_switcher' => '4.0.0',
		'wcmp_marketplace_settings_fields_shipping_distance' => '4.0.0',
		'wcmp_settings_fields_shipping_rates_by_distance' => '4.0.0',
		'wcmp_vendor_shipping_option_to_vendor' => '4.0.0',
		'wcmp_settings_fields_shipping_by_country' => '4.0.0',
		'wcmp_settings_fields_shipping_rates_by_country' => '4.0.0',
		'wcmp_vendor_list_main_wrapper_start' => '4.0.0',
		'wcmp_vendor_list_main_wrapper_end' => '4.0.0',
		'wcmp_vendor_list_map_wrapper_start' => '4.0.0',
		'wcmp_vendor_list_form_wrapper_start' => '4.0.0',
		'wcmp_vendor_list_form_wrapper_end' => '4.0.0',
		'wcmp_vendor_list_map_wrapper_end' => '4.0.0',
		'wcmp_vendor_list_row_default_column' => '4.0.0',
		'wcmp_vendor_list_content_wrapper_start' => '4.0.0',
		'wcmp_vendor_list_content_wrapper_end' => '4.0.0',
		'wcmp_no_vendors_found_data' => '4.0.0',
		'wcmp_vendor_list_pagination_args' => '4.0.0',
		'wcmp_vendor_top_product_list_suffle' => '4.0.0',
		'wcmp_get_orders_query_args' => '4.0.0',
		'wcmp_customer_my_account_refund_order_messages' => '4.0.0',
		'wcmp_customer_refund_order_default_days_limit' => '4.0.0',
		'wcmp_load_default_packages' => '4.0.0',
		'bp_nav_wcmp_shop_page' => '4.0.0',
		'wcmp_vendor_buddypress_options' => '4.0.0',
		'wcmp_elementor_social_network_map' => '4.0.0',
		'wcmp_elementor_store_data_defaults' => '4.0.0',
		'wcmp_vendor_store_header_hide_description' => '4.0.0',
		'wcmp_vendor_store_header_hide_store_address' => '4.0.0',
		'wcmp_vendor_store_header_hide_store_phone' => '4.0.0',
		'wcmp_vendor_store_header_hide_store_email' => '4.0.0',
		'wcmp_elementor_store_data_defaults_for_editing' => '4.0.0',
		'wcmp_elementor_tags_store_info_value' => '4.0.0',
		'wcmp_elementor_tags_store_tab_items_value' => '4.0.0',
		'wcmp_is_allow_full_width_video' => '4.0.0',
		'wcmp_blocked_vendor_text' => '4.0.0',
		'wcmp_elementor_vendor_product_page' => '4.0.0',
		'wcmp_table_rate_js_inclide_pages' => '4.0.0',
		'wcmp_shipping_policies_heading' => '4.0.0',
		'wcmp_refund_policies_heading' => '4.0.0',
		'wcmp_cancellation_policies_heading' => '4.0.0',
		'wcmp_display_vendor_message_to_buyer' => '4.0.0',
		'wcmp_before_seller_info_tab' => '4.0.0',
		'wcmp_after_seller_info_tab' => '4.0.0',
		'wcmp_show_page_title' => '4.0.0',
		'wcmp_customer_qna_label' => '4.0.0',
		'wcmp_customer_qna_no_answer_label' => '4.0.0',
		'wcmp_is_start_with_full_rating' => '4.0.0',
		'wcmp_admin_new_vendor_email_vendor_application_url' => '4.0.0',
		'wcmp_admin_direct_bank_received_text' => '4.0.0',
		'wcmp_admin_paypal_received_text' => '4.0.0',
		'wcmp_email_footer_text' => '4.0.0',
		'wcmp_email_admin_new_product_link' => '4.0.0',
		'wcmp_email_vendor_new_coupon_link' => '4.0.0',
		'wcmp_email_vendor_new_product_link' => '4.0.0',
		'wcmp_email_vendor_rejected_product_link' => '4.0.0',
		'wcmp_thankyou_transaction_received_text' => '4.0.0',
		'wcmp_vendor_question_redirect_link' => '4.0.0',
		'wcmp_vendor_plain_question_redirect_link' => '4.0.0',
		'wcmp_rejected_vendor_dashboard_message' => '4.0.0',
		'wcmp_pending_vendor_dashboard_message' => '4.0.0',
		'wcmp_review_link_final_filter' => '4.0.0',
		'wcmp_varified_buyer_text_filter' => '4.0.0',
		'wcmp_suspended_vendor_dashboard_message' => '4.0.0',
		'wcmp_vendor_list_vendor_sort_type' => '4.0.0',
		'wcmp_vendor_lists_single_button_text' => '4.0.0',
		'wcmp_vendor_registration_header_text' => '4.0.0',
		'wcmp_vendor_registration_submit' => '4.0.0',
		'wcmp_more_vendors' => '4.0.0',
		'wcmp_single_product_more_vendors_text' => '4.0.0',
		'wcmp_vendor_dashboard_header_site_url' => '4.0.0',
		'wcmp_vendor_storefront_wp_editor_settings' => '4.0.0',
		'wcmp_dashboard_location_widget_map_style' => '4.0.0',
		'wcmp_vendor_shop_template_options' => '4.0.0',
		'wcmp_vendor_paypal_email_container_class' => '4.0.0',
		'wcmp_vendor_stripe_connect_account_type' => '4.0.0',
		'wcmp_vendor_stripe_connect_account_type_request_url' => '4.0.0',
		'wcmp_vendor_stripe_connect_account_type_request_params' => '4.0.0',
		'wcmp_datatable_order_list_table_headers' => '4.0.0',
		'wcmp_vendor_dashboard_order_filter_status_arr' => '4.0.0',
		'wcmp_datatable_vendor_transactions_list_table_headers' => '4.0.0',
		'wcmp_vendor_knowledgebase_query_args' => '4.0.0',
		'wcmp_datatable_vendor_withdrawal_list_table_headers' => '4.0.0',
		'wcmp_datatable_coupon_list_table_headers' => '4.0.0',
		'wcmp_vendor_select_product_for_add_coupon' => '4.0.0',
		'wcmp_dashboard_pending_shipping_vendor' => '4.0.0',
		'wcmp_dashboard_sales_vendor' => '4.0.0',
		'wcmp_datatable_widget_product_sales_report_table_headers' => '4.0.0',
		'wcmp_vendor_product_classify_1_level_categories' => '4.0.0',
		'wcmp_product_uploaded_image_size' => '4.0.0',
		'wcmp_afm_product_data_tabs_filter' => '4.0.0',
		'wcmp_vendor_can_add_product_category' => '4.0.0',
		'wcmp_vendor_dashboard_product_list_filters_status' => '4.0.0',
		'wcmp_product_list_bulk_actions' => '4.0.0',
		'wcmp_can_vendor_configure_tax' => '4.0.0',
		'wcmp_can_vendor_manage_stock' => '4.0.0',
		'wcmp_add_product_default_gtin_types' => '4.0.0',
		'wcmp_feature_product_is_enable' => '4.0.0',
		'wcmp_current_vendor_order_capability' => '4.0.0',
		'wcmp_vendor_order_statuses' => '4.0.0',
		'wcmp_vendor_refund_capability' => '4.0.0',
		'wcmp_vendor_download_permissions_title' => '4.0.0',
		'wcmp_vendor_dash_customer_details_data' => '4.0.0',
		'wcmp_vendor_order_customer_notes_enabled' => '4.0.0',
		'wcmp_vendor_dash_order_item_thumbnail' => '4.0.0',
		'wcmp_vendor_dash_html_order_item_class' => '4.0.0',
		'wcmp_vendor_order_item_types' => '4.0.0',
		'wcmp_vendor_order_item_coupon_url' => '4.0.0',
		'wcmp_order_note_class' => '4.0.0',
		'wcmp_store_location_widget_map_style' => '4.0.0',
		'wcmp_widget_varified_buyer_text_filter' => '4.0.0',
		'wcmp_widget_empty_reviews_text_filter' => '4.0.0',
		'wcmp_setup_wizard_steps' => '4.0.0',
		'wcmp_crop_image_override_with_original' => '4.0.0',
		'wcmp_submenu_show_necesarry_count' => '4.0.0',
		'wcmp_products_list_total_products_query_args' => '4.0.0',
		'wcmp_vendor_product_list_image_size' => '4.0.0',
		'wcmp_vendor_can_modify_qna_answer' => '4.0.0',
		'wcmp_hide_vendor_shipping_classes' => '4.0.0',
		'wcmp_searched_name_gtin_product_list_image_size' => '4.0.0',
		'wcmp_vendor_can_add_custom_attribute' => '4.0.0',
		'wcmp_allow_refund_parent_order' => '4.0.0',
		'wcmp_json_search_found_products' => '4.0.0',
		'is_wcmp_vendor_edit_non_published_product' => '4.0.0',
		'wcmp_coupon_vendor' => '4.0.0',
		'wcmp_send_vendor_weekly_zero_order_stats_report' => '4.0.0',
		'wcmp_send_vendor_monthly_zero_order_stats_report' => '4.0.0',
		'wcmp_is_disable_store_visitors_stats' => '4.0.0',
		'wcmp_suspended_vendor_product_view_return_url' => '4.0.0',
		'wcmp_google_maps_api_args' => '4.0.0',
		'wcmp_parent_order_to_vendor_order_status_synchronization' => '4.0.0',
		'wcmp_vendor_order_to_parent_order_status_synchronization' => '4.0.0',
		'wcmp_gateway_charge_with_refunded_order_amount' => '4.0.0',
		'wcmp_admin_commission_order_item_types' => '4.0.0',
		'wcmp_enable_product_search_by_gtin_code' => '4.0.0',
		'wcmp_show_report_abuse_link' => '4.0.0',
		'wcmp_shortcode_products_query' => '4.0.0',
		'wcmp_update_user_display_name_with_vendor_store_name' => '4.0.0',
		'wcmp_user_avatar_classes' => '4.0.0',
		'wcmp_vendor_store_setup_wizard_enabled' => '4.0.0',
		'wcmp_get_vendor_order_item_totals_split_taxes' => '4.0.0',
		'wcmp_send_mail_to_admin_when_vendor_reapply' => '4.0.0',
		'wcmp_show_admin_bar' => '4.0.0',
		'wcmp_load_stripe_library' => '4.0.0',
		'wcmp_is_allow_store_shipping' => '4.0.0',
		'allow_supported_shipping_in_wcmp_vendor_shipping_package' => '4.0.0',
		'enable_users_can_register_for_wcmp_vendor_registration' => '4.0.0',
		'wcmp_widget_vendor_list_query_args' => '4.0.0',
		'wcmp_widget_show_vpc_hierarchical_if_no_parents' => '4.0.0',
		'wcmp_vendor_rating_widget_set_avg' => '4.0.0',
		'wcmp_do_schedule_cron_vendor_weekly_order_stats' => '4.0.0',
		'wcmp_do_schedule_cron_wcmp_spmv_excluded_products_map' => '4.0.0',
		'is_visible_wcmp_frontend_product_cat' => '4.0.0',
		'wcmp_vendor_list_enable_store_locator_map' => '4.0.0',
		'wcmp_img_tip_display_on_fileds_section' => '4.0.0',
		'wcmp_vendor_registration_form_default_country_code' => '4.0.0',
		'wcmp_announcement_content' => '4.0.0',
		'wcmp_vendor_storefront_wpeditor_enabled' => '4.0.0',
		'wcmp_vendor_product_excerpt_richedit' => '4.0.0',
	);

	/**
	 * Hook into the new hook so we can handle deprecated hooks once fired.
	 *
	 * @param string $hook_name Hook name.
	 */
	public function hook_in( $hook_name ) {
		add_filter( $hook_name, array( $this, 'maybe_handle_deprecated_hook' ), -1000, 8 );
	}

	/**
	 * If the old hook is in-use, trigger it.
	 *
	 * @param  string $new_hook          New hook name.
	 * @param  string $old_hook          Old hook name.
	 * @param  array  $new_callback_args New callback args.
	 * @param  mixed  $return_value      Returned value.
	 * @return mixed
	 */
	public function handle_deprecated_hook( $new_hook, $old_hook, $new_callback_args, $return_value ) {
		if ( has_filter( $old_hook ) ) {
			$this->display_notice( $old_hook, $new_hook );
			$return_value = $this->trigger_hook( $old_hook, $new_callback_args );
		}
		return $return_value;
	}

	/**
	 * Fire off a legacy hook with it's args.
	 *
	 * @param  string $old_hook          Old hook name.
	 * @param  array  $new_callback_args New callback args.
	 * @return mixed
	 */
	protected function trigger_hook( $old_hook, $new_callback_args ) {
		return apply_filters_ref_array( $old_hook, $new_callback_args );
	}
}
